import { ChangeDetectorRef, ElementRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class IDIconBase {
    private cdr;
    private hostElement;
    title: string;
    colorpreset: number;
    color: string;
    color2: string;
    size: "xs" | "s" | "m";
    width: string;
    height: string;
    rotate: string;
    inline: boolean;
    tabindex: string | null;
    icon: ElementRef;
    hasViewInitiated: boolean;
    constructor(cdr: ChangeDetectorRef, hostElement: ElementRef);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    setupProperties(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDIconBase, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDIconBase, "ng-component", never, { "title": { "alias": "title"; "required": false; }; "colorpreset": { "alias": "colorpreset"; "required": false; }; "color": { "alias": "color"; "required": false; }; "color2": { "alias": "color2"; "required": false; }; "size": { "alias": "size"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "rotate": { "alias": "rotate"; "required": false; }; "inline": { "alias": "inline"; "required": false; }; "tabindex": { "alias": "tabindex"; "required": false; }; }, {}, never, never, false, never>;
}
