import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import "@inera/ids-core/components/header-1177-admin/register";
import { IDHeader1177AdminItemComponent } from "./item/header-1177-admin-item.component";
import { IDHeader1177AdminAvatarComponent } from "./avatar/header-1177-admin-avatar.component";
import { IDHeader1177AdminNavComponent } from "./nav/header-1177-admin-nav.component";
import * as i0 from "@angular/core";
export declare class IDHeader1177AdminComponent {
    private cdRef;
    brandtext: string | null;
    brandtexttop: string | null;
    brandtextbottom: string | null;
    pickregiontext: string | null;
    hideregionpicker: boolean;
    regionpickerexpanded: boolean;
    mobilemenuexpanded: boolean;
    fluid: boolean;
    logohref: string | null;
    onDidToggleRegion: EventEmitter<boolean>;
    itemList: QueryList<IDHeader1177AdminItemComponent>;
    items: IDHeader1177AdminItemComponent[];
    avatar: IDHeader1177AdminAvatarComponent;
    nav: IDHeader1177AdminNavComponent;
    constructor(cdRef: ChangeDetectorRef);
    showContent: boolean;
    ngAfterContentInit(): void;
    updateItemsArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDHeader1177AdminComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDHeader1177AdminComponent, "id-header-1177-admin", never, { "brandtext": { "alias": "brandtext"; "required": false; }; "brandtexttop": { "alias": "brandtexttop"; "required": false; }; "brandtextbottom": { "alias": "brandtextbottom"; "required": false; }; "pickregiontext": { "alias": "pickregiontext"; "required": false; }; "hideregionpicker": { "alias": "hideregionpicker"; "required": false; }; "regionpickerexpanded": { "alias": "regionpickerexpanded"; "required": false; }; "mobilemenuexpanded": { "alias": "mobilemenuexpanded"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; "logohref": { "alias": "logohref"; "required": false; }; }, { "onDidToggleRegion": "onDidToggleRegion"; }, ["avatar", "nav", "itemList"], ["*"], true, never>;
}
