import { ChangeDetectorRef, EventEmitter, QueryList } from '@angular/core';
import { IDHeader1177ProItemComponent } from './item/header-1177-pro-item.component';
import { IDHeader1177ProAvatarComponent } from './avatar/header-1177-pro-avatar.component';
import { IDHeader1177ProNavComponent } from './nav/header-1177-pro-nav.component';
import { IDHeader1177ProNavMenuMobileComponent } from './nav-menu-mobile/header-1177-pro-nav-menu-mobile.component';
import '@inera/ids-core/components/header-1177-pro/register';
import { IDHeader1177ProAvatarMobileComponent } from './avatar-mobile/header-1177-pro-avatar-mobile.component';
import * as i0 from "@angular/core";
export declare class IDHeader1177ProComponent {
    private cdRef;
    pickregiontext: string | null;
    hideregionpicker: boolean;
    regionpickerexpanded: boolean;
    fluid: boolean;
    logohref: string | null;
    onDidToggleRegion: EventEmitter<boolean>;
    constructor(cdRef: ChangeDetectorRef);
    itemList: QueryList<IDHeader1177ProItemComponent>;
    items: IDHeader1177ProItemComponent[];
    avatar: IDHeader1177ProAvatarComponent;
    avatarMobile: IDHeader1177ProAvatarMobileComponent;
    nav: IDHeader1177ProNavComponent;
    navMenuMobile: IDHeader1177ProNavMenuMobileComponent;
    showContent: boolean;
    ngAfterContentInit(): void;
    updateItemsArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDHeader1177ProComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDHeader1177ProComponent, "id-header-1177-pro", never, { "pickregiontext": { "alias": "pickregiontext"; "required": false; }; "hideregionpicker": { "alias": "hideregionpicker"; "required": false; }; "regionpickerexpanded": { "alias": "regionpickerexpanded"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; "logohref": { "alias": "logohref"; "required": false; }; }, { "onDidToggleRegion": "onDidToggleRegion"; }, ["avatar", "avatarMobile", "nav", "navMenuMobile", "itemList"], ["*"], true, never>;
}
