import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import { IDHeader1177ItemComponent } from "./item/header-1177-item.component";
import { IDHeader1177AvatarComponent } from "./avatar/header-1177-avatar.component";
import { IDHeader1177MenuMobileComponent } from "./menu-mobile/header-1177-menu-mobile.component";
import { IDHeader1177NavComponent } from "./nav/header-1177-nav.component";
import "@inera/ids-core/components/header-1177/register";
import * as i0 from "@angular/core";
export declare class IDHeader1177Component {
    private cdRef;
    pickregiontext: string | null;
    srlogolabel: string | null;
    hideregionpicker: boolean;
    regionpickerexpanded: boolean;
    fluid: boolean;
    logohref: string | null;
    unresponsive: boolean;
    hideontablet: boolean;
    onDidToggleRegion: EventEmitter<boolean>;
    constructor(cdRef: ChangeDetectorRef);
    itemList: QueryList<IDHeader1177ItemComponent>;
    items: IDHeader1177ItemComponent[];
    avatar: IDHeader1177AvatarComponent;
    menuMobile: IDHeader1177MenuMobileComponent;
    nav: IDHeader1177NavComponent;
    showContent: boolean;
    ngAfterContentInit(): void;
    updateItemsArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDHeader1177Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDHeader1177Component, "id-header-1177", never, { "pickregiontext": { "alias": "pickregiontext"; "required": false; }; "srlogolabel": { "alias": "srlogolabel"; "required": false; }; "hideregionpicker": { "alias": "hideregionpicker"; "required": false; }; "regionpickerexpanded": { "alias": "regionpickerexpanded"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; "logohref": { "alias": "logohref"; "required": false; }; "unresponsive": { "alias": "unresponsive"; "required": false; }; "hideontablet": { "alias": "hideontablet"; "required": false; }; }, { "onDidToggleRegion": "onDidToggleRegion"; }, ["avatar", "menuMobile", "nav", "itemList"], ["*"], true, never>;
}
