import { ChangeDetectorRef, QueryList } from "@angular/core";
import { IDHeaderIneraAdminItemComponent } from "./item/header-inera-admin-item.component";
import { IDHeaderIneraAdminAvatarComponent } from "./avatar/header-inera-admin-avatar.component";
import { IDHeaderIneraAdminNavComponent } from "./nav/header-inera-admin-nav.component";
import { IDHeaderIneraAdminNavMobileComponent } from "./nav-mobile/header-inera-admin-nav-mobile.component";
import "@inera/ids-core/components/header-inera-admin/register";
import * as i0 from "@angular/core";
export declare class IDHeaderIneraAdminComponent {
    private cdRef;
    brandtext: string;
    fluid: boolean;
    unresponsive: boolean;
    constructor(cdRef: ChangeDetectorRef);
    avatar: IDHeaderIneraAdminAvatarComponent;
    navbar: IDHeaderIneraAdminNavComponent;
    navMobile: IDHeaderIneraAdminNavMobileComponent;
    itemList: QueryList<IDHeaderIneraAdminItemComponent>;
    items: IDHeaderIneraAdminItemComponent[];
    showContent: boolean;
    ngAfterViewInit(): void;
    updateItemsArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDHeaderIneraAdminComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDHeaderIneraAdminComponent, "id-header-inera-admin", never, { "brandtext": { "alias": "brandtext"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; "unresponsive": { "alias": "unresponsive"; "required": false; }; }, {}, ["avatar", "navbar", "navMobile", "itemList"], ["*"], true, never>;
}
