import { ChangeDetectorRef, QueryList } from "@angular/core";
import { IDHeaderIneraItemComponent } from "./item/header-inera-item.component";
import { IDHeaderIneraNavComponent } from "./nav/header-inera-nav.component";
import { IDHeaderIneraNavMobileComponent } from "./nav-mobile/header-inera-nav-mobile.component";
import "@inera/ids-core/components/header-inera/register";
import * as i0 from "@angular/core";
export declare class IDHeaderIneraComponent {
    private cdRef;
    logohref: string;
    srlogolabel: string;
    fluid: boolean;
    unresponsive: boolean;
    constructor(cdRef: ChangeDetectorRef);
    navbar: IDHeaderIneraNavComponent;
    navMobile: IDHeaderIneraNavMobileComponent;
    itemList: QueryList<IDHeaderIneraItemComponent>;
    items: IDHeaderIneraItemComponent[];
    showContent: boolean;
    ngAfterContentInit(): void;
    updateItemsArray(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDHeaderIneraComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDHeaderIneraComponent, "id-header-inera", never, { "logohref": { "alias": "logohref"; "required": false; }; "srlogolabel": { "alias": "srlogolabel"; "required": false; }; "fluid": { "alias": "fluid"; "required": false; }; "unresponsive": { "alias": "unresponsive"; "required": false; }; }, {}, ["navbar", "navMobile", "itemList"], ["*"], true, never>;
}
