import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/accordion/register';

class IDAccordionComponent {
    constructor() { }
    lean = false;
    headlinesize = "m";
    expanded = false;
    level = 1;
    onClosed = new EventEmitter();
    onExpanded = new EventEmitter();
    expandedChange = new EventEmitter();
    hasClosed(event) {
        this.expanded = false;
        this.onClosed.emit(event);
        this.expandedChange.emit(this.expanded);
    }
    hasExpanded(event) {
        this.expanded = true;
        this.onExpanded.emit(event);
        this.expandedChange.emit(this.expanded);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDAccordionComponent, selector: "id-accordion", inputs: { lean: "lean", headlinesize: "headlinesize", expanded: "expanded", level: "level" }, outputs: { onClosed: "onClosed", onExpanded: "onExpanded", expandedChange: "expandedChange" }, ngImport: i0, template: "<ids-accordion \n  [attr.lean]=\"lean ? true : null\"\n  [expanded]=\"expanded ? true : null\"\n  [headlinesize]=\"headlinesize\"\n  [level]=\"level\"\n  (closed)=\"hasClosed($event)\"\n  (expanded)=\"hasExpanded($event)\">\n  <ng-content></ng-content>\n</ids-accordion>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-accordion", encapsulation: ViewEncapsulation.None, template: "<ids-accordion \n  [attr.lean]=\"lean ? true : null\"\n  [expanded]=\"expanded ? true : null\"\n  [headlinesize]=\"headlinesize\"\n  [level]=\"level\"\n  (closed)=\"hasClosed($event)\"\n  (expanded)=\"hasExpanded($event)\">\n  <ng-content></ng-content>\n</ids-accordion>" }]
        }], ctorParameters: () => [], propDecorators: { lean: [{
                type: Input
            }], headlinesize: [{
                type: Input
            }], expanded: [{
                type: Input
            }], level: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onExpanded: [{
                type: Output
            }], expandedChange: [{
                type: Output
            }] } });

class IDAccordionModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionModule, declarations: [IDAccordionComponent], exports: [IDAccordionComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDAccordionComponent],
                    exports: [IDAccordionComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDAccordionComponent, IDAccordionModule };
//# sourceMappingURL=inera-ids-angular-components-accordion.mjs.map
