import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/agent/register';

class IDAgentComponent {
    constructor() { }
    expanded = true;
    headline = '';
    showtext = 'Visa mer';
    hidetext = 'Visa mindre';
    onDidToggleExpansion = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAgentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDAgentComponent, selector: "id-agent", inputs: { expanded: "expanded", headline: "headline", showtext: "showtext", hidetext: "hidetext" }, outputs: { onDidToggleExpansion: "onDidToggleExpansion" }, ngImport: i0, template: "<ids-agent\n  [headline]=\"headline\"\n  [showtext]=\"showtext\"\n  [hidetext]=\"hidetext\"\n  [expanded]=\"expanded\"\n  (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n  <h3 slot=\"alert-headline\" *ngIf=\"headline\">\n    {{headline}}\n  </h3>\n  <ng-content></ng-content>\n</ids-agent>", styles: [":host{display:block}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAgentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-agent', template: "<ids-agent\n  [headline]=\"headline\"\n  [showtext]=\"showtext\"\n  [hidetext]=\"hidetext\"\n  [expanded]=\"expanded\"\n  (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n  <h3 slot=\"alert-headline\" *ngIf=\"headline\">\n    {{headline}}\n  </h3>\n  <ng-content></ng-content>\n</ids-agent>", styles: [":host{display:block}\n"] }]
        }], ctorParameters: () => [], propDecorators: { expanded: [{
                type: Input
            }], headline: [{
                type: Input
            }], showtext: [{
                type: Input
            }], hidetext: [{
                type: Input
            }], onDidToggleExpansion: [{
                type: Output
            }] } });

class IDAgentModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAgentModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDAgentModule, declarations: [IDAgentComponent], imports: [CommonModule], exports: [IDAgentComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAgentModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAgentModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDAgentComponent
                    ],
                    exports: [
                        IDAgentComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDAgentComponent, IDAgentModule };
//# sourceMappingURL=inera-ids-angular-components-agent.mjs.map
