import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/alert/register';
import { CommonModule } from '@angular/common';

class IDAlertComponent {
    constructor() { }
    dismissible = false;
    collapsable = false;
    ribbon = false;
    collapsed = false;
    compact = false;
    srcollapsetext = "";
    srexpandtext = "";
    headline = "";
    live = "";
    type = "info";
    norole = false;
    srclosetext = "";
    sricontitle = "";
    onClosed = new EventEmitter();
    onCollapsed = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDAlertComponent, selector: "id-alert", inputs: { dismissible: "dismissible", collapsable: "collapsable", ribbon: "ribbon", collapsed: "collapsed", compact: "compact", srcollapsetext: "srcollapsetext", srexpandtext: "srexpandtext", headline: "headline", live: "live", type: "type", norole: "norole", srclosetext: "srclosetext", sricontitle: "sricontitle" }, outputs: { onClosed: "onClosed", onCollapsed: "onCollapsed" }, ngImport: i0, template: "<ids-alert \n  [headline]=\"headline\"\n  [attr.norole]=\"norole ? true : null\"\n  [attr.dismissible]=\"dismissible ? true : null\"\n  [attr.collapsable]=\"collapsable ? true : null\"\n  [attr.collapsed]=\"collapsed ? true : null\"\n  [attr.compact]=\"compact ? true : null\"\n  [attr.ribbon]=\"ribbon ? true : null\"\n  [srcollapsetext]=\"srcollapsetext\"\n  [srexpandtext]=\"srexpandtext\"\n  [attr.aria-live]=\"norole ? null : live\"\n  [type]=\"type\"\n  [srclosetext]=\"srclosetext\"\n  [sricontitle]=\"sricontitle\"\n  (closed)=\"onClosed.emit(true)\"\n  (collapsed)=\"onCollapsed.emit(true)\">\n  <ng-content></ng-content>\n</ids-alert>", styles: [":host{display:block}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-alert", template: "<ids-alert \n  [headline]=\"headline\"\n  [attr.norole]=\"norole ? true : null\"\n  [attr.dismissible]=\"dismissible ? true : null\"\n  [attr.collapsable]=\"collapsable ? true : null\"\n  [attr.collapsed]=\"collapsed ? true : null\"\n  [attr.compact]=\"compact ? true : null\"\n  [attr.ribbon]=\"ribbon ? true : null\"\n  [srcollapsetext]=\"srcollapsetext\"\n  [srexpandtext]=\"srexpandtext\"\n  [attr.aria-live]=\"norole ? null : live\"\n  [type]=\"type\"\n  [srclosetext]=\"srclosetext\"\n  [sricontitle]=\"sricontitle\"\n  (closed)=\"onClosed.emit(true)\"\n  (collapsed)=\"onCollapsed.emit(true)\">\n  <ng-content></ng-content>\n</ids-alert>", styles: [":host{display:block}\n"] }]
        }], ctorParameters: () => [], propDecorators: { dismissible: [{
                type: Input
            }], collapsable: [{
                type: Input
            }], ribbon: [{
                type: Input
            }], collapsed: [{
                type: Input
            }], compact: [{
                type: Input
            }], srcollapsetext: [{
                type: Input
            }], srexpandtext: [{
                type: Input
            }], headline: [{
                type: Input
            }], live: [{
                type: Input
            }], type: [{
                type: Input
            }], norole: [{
                type: Input
            }], srclosetext: [{
                type: Input
            }], sricontitle: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onCollapsed: [{
                type: Output
            }] } });

class IDAlertModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDAlertModule, declarations: [IDAlertComponent], imports: [CommonModule], exports: [IDAlertComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDAlertComponent
                    ],
                    exports: [
                        IDAlertComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDAlertComponent, IDAlertModule };
//# sourceMappingURL=inera-ids-angular-components-alert.mjs.map
