import * as i0 from '@angular/core';
import { TemplateRef, Input, ViewChild, ViewEncapsulation, Component, ContentChildren, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/breadcrumbs/register';

class IDCrumbComponent {
    constructor() { }
    template;
    current = false;
    mobile = false;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCrumbComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDCrumbComponent, selector: "id-crumb", inputs: { current: "current", mobile: "mobile" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: `
    <ng-template>
      <ng-content></ng-content>
    </ng-template>`, isInline: true, encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCrumbComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'id-crumb',
                    encapsulation: ViewEncapsulation.None,
                    template: `
    <ng-template>
      <ng-content></ng-content>
    </ng-template>`
                }]
        }], ctorParameters: () => [], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], current: [{
                type: Input
            }], mobile: [{
                type: Input
            }] } });

class IDBreadcrumbsComponent {
    lead = 'Du är här:';
    srlabel = 'Du är här';
    crumbComponents;
    crumbs = [];
    ngAfterContentInit() {
        this.crumbComponents.changes.subscribe(() => {
            setTimeout(() => {
                this.crumbs = this.crumbComponents.toArray();
            });
        });
        setTimeout(() => {
            this.crumbs = this.crumbComponents.toArray();
        }, 0);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDBreadcrumbsComponent, selector: "id-breadcrumbs", inputs: { lead: "lead", srlabel: "srlabel" }, queries: [{ propertyName: "crumbComponents", predicate: IDCrumbComponent }], ngImport: i0, template: "<ids-breadcrumbs [lead]=\"lead\" [srlabel]=\"srlabel\">\n  <ids-crumb\n    *ngFor=\"let crumb of crumbs; let i = index\"\n    [current]=\"crumb.current\"\n    [attr.mobile]=\"crumb.mobile ? '' : null\">\n    <ng-container *ngTemplateOutlet=\"crumb.template\"></ng-container>\n  </ids-crumb>\n</ids-breadcrumbs>\n", dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-breadcrumbs', encapsulation: ViewEncapsulation.None, template: "<ids-breadcrumbs [lead]=\"lead\" [srlabel]=\"srlabel\">\n  <ids-crumb\n    *ngFor=\"let crumb of crumbs; let i = index\"\n    [current]=\"crumb.current\"\n    [attr.mobile]=\"crumb.mobile ? '' : null\">\n    <ng-container *ngTemplateOutlet=\"crumb.template\"></ng-container>\n  </ids-crumb>\n</ids-breadcrumbs>\n" }]
        }], propDecorators: { lead: [{
                type: Input
            }], srlabel: [{
                type: Input
            }], crumbComponents: [{
                type: ContentChildren,
                args: [IDCrumbComponent]
            }] } });

class IDBreadcrumbsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsModule, declarations: [IDBreadcrumbsComponent,
            IDCrumbComponent], imports: [CommonModule], exports: [IDBreadcrumbsComponent,
            IDCrumbComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDBreadcrumbsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDBreadcrumbsComponent,
                        IDCrumbComponent
                    ],
                    exports: [
                        IDBreadcrumbsComponent,
                        IDCrumbComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDBreadcrumbsComponent, IDBreadcrumbsModule, IDCrumbComponent };
//# sourceMappingURL=inera-ids-angular-components-breadcrumbs.mjs.map
