import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/date-label/register';

class IDDateLabelComponent {
    constructor() { }
    date = null;
    year = null;
    month = null;
    monthlabel = null;
    day = null;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDDateLabelComponent, selector: "id-date-label", inputs: { date: "date", year: "year", month: "month", monthlabel: "monthlabel", day: "day" }, ngImport: i0, template: "\n<ids-date-label \n  [date]=\"date?.toString()\"\n  [year]=\"year\"\n  [month]=\"month\"\n  [monthlabel]=\"monthlabel\"\n  [day]=\"day\">\n  <ng-content></ng-content>\n</ids-date-label>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-date-label', encapsulation: ViewEncapsulation.None, template: "\n<ids-date-label \n  [date]=\"date?.toString()\"\n  [year]=\"year\"\n  [month]=\"month\"\n  [monthlabel]=\"monthlabel\"\n  [day]=\"day\">\n  <ng-content></ng-content>\n</ids-date-label>" }]
        }], ctorParameters: () => [], propDecorators: { date: [{
                type: Input
            }], year: [{
                type: Input
            }], month: [{
                type: Input
            }], monthlabel: [{
                type: Input
            }], day: [{
                type: Input
            }] } });

class IDDateLabelModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelModule, declarations: [IDDateLabelComponent], exports: [IDDateLabelComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDateLabelModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDDateLabelComponent
                    ],
                    exports: [
                        IDDateLabelComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDDateLabelComponent, IDDateLabelModule };
//# sourceMappingURL=inera-ids-angular-components-date-label.mjs.map
