import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/dialog/register';

class IDDialogComponent {
    constructor() { }
    dismissible = false;
    srclosetext = '';
    nofocustrap = false;
    keepscrollbar = false;
    nooverlay = false;
    persistent = false;
    show = false;
    width = '';
    maxwidth = '';
    onClosed = new EventEmitter();
    onOpen = new EventEmitter();
    showChange = new EventEmitter();
    hasClosed(event) {
        this.show = false;
        this.onClosed.emit(event);
        this.showChange.emit(this.show);
    }
    hasOpened(event) {
        this.show = true;
        this.onOpen.emit(event);
        this.showChange.emit(this.show);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDDialogComponent, selector: "id-dialog", inputs: { dismissible: "dismissible", srclosetext: "srclosetext", nofocustrap: "nofocustrap", keepscrollbar: "keepscrollbar", nooverlay: "nooverlay", persistent: "persistent", show: "show", width: "width", maxwidth: "maxwidth" }, outputs: { onClosed: "onClosed", onOpen: "onOpen", showChange: "showChange" }, ngImport: i0, template: "<ids-dialog \n  [attr.dismissible]=\"dismissible ? true : null\"\n  [attr.nooverlay]=\"nooverlay ? true : null\"\n  [attr.nofocustrap]=\"nofocustrap ? true : null\"\n  [attr.persistent]=\"persistent ? true : null\"\n  [attr.keepscrollbar]=\"keepscrollbar ? true : null\"\n  [attr.show]=\"show ? 'true' : 'false'\"\n  [width]=\"width\"\n  [maxwidth]=\"maxwidth\"\n  nofocustrap=\"nofocustrap\"\n  [srclosetext]=\"srclosetext\"\n  (closed)=\"hasClosed($event)\"\n  (open)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-dialog>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-dialog', encapsulation: ViewEncapsulation.None, template: "<ids-dialog \n  [attr.dismissible]=\"dismissible ? true : null\"\n  [attr.nooverlay]=\"nooverlay ? true : null\"\n  [attr.nofocustrap]=\"nofocustrap ? true : null\"\n  [attr.persistent]=\"persistent ? true : null\"\n  [attr.keepscrollbar]=\"keepscrollbar ? true : null\"\n  [attr.show]=\"show ? 'true' : 'false'\"\n  [width]=\"width\"\n  [maxwidth]=\"maxwidth\"\n  nofocustrap=\"nofocustrap\"\n  [srclosetext]=\"srclosetext\"\n  (closed)=\"hasClosed($event)\"\n  (open)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-dialog>" }]
        }], ctorParameters: () => [], propDecorators: { dismissible: [{
                type: Input
            }], srclosetext: [{
                type: Input
            }], nofocustrap: [{
                type: Input
            }], keepscrollbar: [{
                type: Input
            }], nooverlay: [{
                type: Input
            }], persistent: [{
                type: Input
            }], show: [{
                type: Input
            }], width: [{
                type: Input
            }], maxwidth: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onOpen: [{
                type: Output
            }], showChange: [{
                type: Output
            }] } });

class IDDialogModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDDialogModule, declarations: [IDDialogComponent], exports: [IDDialogComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDialogModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDDialogComponent
                    ],
                    exports: [
                        IDDialogComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDDialogComponent, IDDialogModule };
//# sourceMappingURL=inera-ids-angular-components-dialog.mjs.map
