import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/form/checkbox/register';
import '@inera/ids-core/components/form/error-message/register';

class IDCheckboxGroupComponent extends IDFormBase {
    errorMessage = undefined;
    errormessage = undefined;
    legend = undefined;
    compact = undefined;
    constructor() {
        super();
    }
    ngOnInit() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDCheckboxGroupComponent, selector: "id-checkbox-group", inputs: { errorMessage: "errorMessage", errormessage: "errormessage", legend: "legend", compact: "compact" }, usesInheritance: true, ngImport: i0, template: "<ids-checkbox-group \n  [legend]=\"legend\"\n  [invalid]=\"invalid\" \n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.compact]=\"compact ? true : null\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errorMessage || errormessage\">{{errorMessage}} {{errormessage}}</ids-error-message>\n</ids-checkbox-group>\n", dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-checkbox-group', encapsulation: ViewEncapsulation.None, template: "<ids-checkbox-group \n  [legend]=\"legend\"\n  [invalid]=\"invalid\" \n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.compact]=\"compact ? true : null\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errorMessage || errormessage\">{{errorMessage}} {{errormessage}}</ids-error-message>\n</ids-checkbox-group>\n" }]
        }], ctorParameters: () => [], propDecorators: { errorMessage: [{
                type: Input
            }], errormessage: [{
                type: Input
            }], legend: [{
                type: Input
            }], compact: [{
                type: Input
            }] } });

class IDCheckboxGroupModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupModule, declarations: [IDCheckboxGroupComponent], imports: [CommonModule], exports: [IDCheckboxGroupComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        IDCheckboxGroupComponent
                    ],
                    exports: [
                        IDCheckboxGroupComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDCheckboxGroupComponent, IDCheckboxGroupModule };
//# sourceMappingURL=inera-ids-angular-components-form-checkbox-group.mjs.map
