import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/checkbox/register';

class IDCheckboxComponent extends IDFormBase {
    nolabel = undefined;
    compact = undefined;
    indeterminate = undefined;
    block = undefined;
    constructor() {
        super();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDCheckboxComponent, selector: "id-checkbox", inputs: { nolabel: "nolabel", compact: "compact", indeterminate: "indeterminate", block: "block" }, usesInheritance: true, ngImport: i0, template: "<ids-checkbox\n  [attr.light]=\"light ? true : null\"\n  [attr.nolabel]=\"nolabel ? true : null\"\n  [invalid]=\"invalid\"\n  [indeterminate]=\"indeterminate ? true : null\"\n  [block]=\"block ? true : null\"\n  [compact]=\"compact ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-checkbox>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-checkbox", encapsulation: ViewEncapsulation.None, template: "<ids-checkbox\n  [attr.light]=\"light ? true : null\"\n  [attr.nolabel]=\"nolabel ? true : null\"\n  [invalid]=\"invalid\"\n  [indeterminate]=\"indeterminate ? true : null\"\n  [block]=\"block ? true : null\"\n  [compact]=\"compact ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-checkbox>\n" }]
        }], ctorParameters: () => [], propDecorators: { nolabel: [{
                type: Input
            }], compact: [{
                type: Input
            }], indeterminate: [{
                type: Input
            }], block: [{
                type: Input
            }] } });

class IDCheckboxModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxModule, declarations: [IDCheckboxComponent], exports: [IDCheckboxComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCheckboxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDCheckboxComponent
                    ],
                    exports: [
                        IDCheckboxComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDCheckboxComponent, IDCheckboxModule };
//# sourceMappingURL=inera-ids-angular-components-form-checkbox.mjs.map
