import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/input/register';
import { CommonModule } from '@angular/common';

class IDInputComponent extends IDFormBase {
    autofocus = false;
    showsearchlabel = false;
    constructor() {
        super();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDInputComponent, selector: "id-input", inputs: { autofocus: "autofocus", showsearchlabel: "showsearchlabel" }, usesInheritance: true, ngImport: i0, template: "<ids-input\n  [invalid]=\"invalid\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.light]=\"light ? true : null\"\n  [attr.showsearchlabel]=\"showsearchlabel ? true : null\"\n  [attr.autofocus]=\"autofocus ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-input>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDInputComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-input", encapsulation: ViewEncapsulation.None, template: "<ids-input\n  [invalid]=\"invalid\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.light]=\"light ? true : null\"\n  [attr.showsearchlabel]=\"showsearchlabel ? true : null\"\n  [attr.autofocus]=\"autofocus ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-input>\n" }]
        }], ctorParameters: () => [], propDecorators: { autofocus: [{
                type: Input
            }], showsearchlabel: [{
                type: Input
            }] } });

class IDInputModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDInputModule, declarations: [IDInputComponent], imports: [CommonModule], exports: [IDInputComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDInputModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDInputModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDInputComponent
                    ],
                    exports: [
                        IDInputComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDInputComponent, IDInputModule };
//# sourceMappingURL=inera-ids-angular-components-form-input.mjs.map
