import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/radio-button/register';
import { CommonModule } from '@angular/common';

class IDRadioButtonGroupComponent extends IDFormBase {
    name = undefined;
    legend = undefined;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonGroupComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRadioButtonGroupComponent, selector: "id-radio-button-group", inputs: { name: "name", legend: "legend" }, usesInheritance: true, ngImport: i0, template: "<ids-radio-button-group [name]=\"name\" [legend]=\"legend\">\n  <ng-content></ng-content>\n</ids-radio-button-group>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-radio-button-group", encapsulation: ViewEncapsulation.None, template: "<ids-radio-button-group [name]=\"name\" [legend]=\"legend\">\n  <ng-content></ng-content>\n</ids-radio-button-group>\n" }]
        }], propDecorators: { name: [{
                type: Input
            }], legend: [{
                type: Input
            }] } });

class IDRadioButtonComponent extends IDFormBase {
    icon = "";
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRadioButtonComponent, selector: "id-radio-button", inputs: { icon: "icon" }, usesInheritance: true, ngImport: i0, template: "<ids-radio-button [icon]=\"icon\">\n  <ng-content></ng-content>\n</ids-radio-button>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-radio-button", encapsulation: ViewEncapsulation.None, template: "<ids-radio-button [icon]=\"icon\">\n  <ng-content></ng-content>\n</ids-radio-button>\n" }]
        }], propDecorators: { icon: [{
                type: Input
            }] } });

class IDRadioButtonModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonModule, declarations: [IDRadioButtonComponent, IDRadioButtonGroupComponent], imports: [CommonModule], exports: [IDRadioButtonComponent, IDRadioButtonGroupComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [IDRadioButtonComponent, IDRadioButtonGroupComponent],
                    exports: [IDRadioButtonComponent, IDRadioButtonGroupComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDRadioButtonComponent, IDRadioButtonGroupComponent, IDRadioButtonModule };
//# sourceMappingURL=inera-ids-angular-components-form-radio-button.mjs.map
