import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/range/register';

class IDRangeComponent extends IDFormBase {
    showticks = false;
    interval = 0;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRangeComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRangeComponent, selector: "id-range", inputs: { showticks: "showticks", interval: "interval" }, usesInheritance: true, ngImport: i0, template: "<ids-range \n  [invalid]=\"invalid\"\n  [interval]=\"interval\"\n  [showticks]=\"showticks\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-range>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRangeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-range', encapsulation: ViewEncapsulation.None, template: "<ids-range \n  [invalid]=\"invalid\"\n  [interval]=\"interval\"\n  [showticks]=\"showticks\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-range>" }]
        }], propDecorators: { showticks: [{
                type: Input
            }], interval: [{
                type: Input
            }] } });

class IDRangeModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRangeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDRangeModule, declarations: [IDRangeComponent], exports: [IDRangeComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRangeModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRangeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDRangeComponent
                    ],
                    exports: [
                        IDRangeComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDRangeComponent, IDRangeModule };
//# sourceMappingURL=inera-ids-angular-components-form-range.mjs.map
