import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/form/spinner/register';

class IDSpinnerComponent {
    srtext = '';
    live = 'polite';
    light = false;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDSpinnerComponent, selector: "id-spinner", inputs: { srtext: "srtext", live: "live", light: "light" }, ngImport: i0, template: "<ids-spinner [light]=\"light\" [srtext]=\"srtext\" [live]=\"live\">\n  <ng-content></ng-content>\n</ids-spinner>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-spinner', encapsulation: ViewEncapsulation.None, template: "<ids-spinner [light]=\"light\" [srtext]=\"srtext\" [live]=\"live\">\n  <ng-content></ng-content>\n</ids-spinner>" }]
        }], propDecorators: { srtext: [{
                type: Input
            }], live: [{
                type: Input
            }], light: [{
                type: Input
            }] } });

class IDSpinnerModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerModule, declarations: [IDSpinnerComponent], exports: [IDSpinnerComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSpinnerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDSpinnerComponent
                    ],
                    exports: [
                        IDSpinnerComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDSpinnerComponent, IDSpinnerModule };
//# sourceMappingURL=inera-ids-angular-components-form-spinner.mjs.map
