import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/form/textarea/register';

class IDTextareaComponent extends IDFormBase {
    block = false;
    autosize = false;
    constructor() {
        super();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDTextareaComponent, selector: "id-textarea", inputs: { block: "block", autosize: "autosize" }, usesInheritance: true, ngImport: i0, template: "<ids-textarea \n  [ngStyle]=\"{ 'display': block || autosize ? 'block' : 'inline-block' }\"\n  [attr.light]=\"light ? true : null\"\n  [autosize]=\"autosize ? true : null\"\n  [block]=\"block ? true : null\"\n  [invalid]=\"invalid\" \n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-textarea>", dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-textarea', encapsulation: ViewEncapsulation.None, template: "<ids-textarea \n  [ngStyle]=\"{ 'display': block || autosize ? 'block' : 'inline-block' }\"\n  [attr.light]=\"light ? true : null\"\n  [autosize]=\"autosize ? true : null\"\n  [block]=\"block ? true : null\"\n  [invalid]=\"invalid\" \n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-textarea>" }]
        }], ctorParameters: () => [], propDecorators: { block: [{
                type: Input
            }], autosize: [{
                type: Input
            }] } });

class IDTextareaModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaModule, declarations: [IDTextareaComponent], imports: [CommonModule], exports: [IDTextareaComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTextareaModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDTextareaComponent
                    ],
                    exports: [
                        IDTextareaComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDTextareaComponent, IDTextareaModule };
//# sourceMappingURL=inera-ids-angular-components-form-textarea.mjs.map
