import * as i0 from '@angular/core';
import { ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/toggle/register';

class IDToggleComponent extends IDFormBase {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDToggleComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDToggleComponent, selector: "id-toggle", usesInheritance: true, ngImport: i0, template: "<ids-toggle \n  [invalid]=\"invalid\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-toggle>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDToggleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-toggle', encapsulation: ViewEncapsulation.None, template: "<ids-toggle \n  [invalid]=\"invalid\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-toggle>" }]
        }] });

class IDToggleModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDToggleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDToggleModule, declarations: [IDToggleComponent], exports: [IDToggleComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDToggleModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDToggleModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDToggleComponent
                    ],
                    exports: [
                        IDToggleComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDToggleComponent, IDToggleModule };
//# sourceMappingURL=inera-ids-angular-components-form-toggle.mjs.map
