import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/grid/column/register';

class IDColumnComponent {
    _elementRef;
    cols = "";
    offset = null;
    m = "";
    mOffset = null;
    s = "";
    sOffset = null;
    align = "";
    class = "";
    style = null;
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._elementRef.nativeElement.removeAttribute('style');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDColumnComponent, selector: "id-col", inputs: { cols: "cols", offset: "offset", m: "m", mOffset: "mOffset", s: "s", sOffset: "sOffset", align: "align", class: "class", style: "style" }, ngImport: i0, template: "<ids-col \n  [attr.cols]=\"cols\"\n  [attr.offset]=\"offset\"\n  [attr.m]=\"m\" \n  [attr.moffset]=\"[mOffset]\"\n  [attr.s]=\"s\" \n  [attr.soffset]=\"[sOffset]\"\n  [attr.align]=\"align\"\n  [attr.style]=\"style\"\n  [attr.class]=\"class\">\n  <ng-content></ng-content>\n</ids-col>", styles: ["id-col{display:contents}\n"], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-col', encapsulation: ViewEncapsulation.None, template: "<ids-col \n  [attr.cols]=\"cols\"\n  [attr.offset]=\"offset\"\n  [attr.m]=\"m\" \n  [attr.moffset]=\"[mOffset]\"\n  [attr.s]=\"s\" \n  [attr.soffset]=\"[sOffset]\"\n  [attr.align]=\"align\"\n  [attr.style]=\"style\"\n  [attr.class]=\"class\">\n  <ng-content></ng-content>\n</ids-col>", styles: ["id-col{display:contents}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { cols: [{
                type: Input
            }], offset: [{
                type: Input
            }], m: [{
                type: Input
            }], mOffset: [{
                type: Input
            }], s: [{
                type: Input
            }], sOffset: [{
                type: Input
            }], align: [{
                type: Input
            }], class: [{
                type: Input
            }], style: [{
                type: Input
            }] } });

class IDColumnModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, declarations: [IDColumnComponent], exports: [IDColumnComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDColumnComponent
                    ],
                    exports: [
                        IDColumnComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDColumnComponent, IDColumnModule };
//# sourceMappingURL=inera-ids-angular-components-grid-column.mjs.map
