import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/grid/column/register';
import '@inera/ids-core/components/grid/row/register';
import '@inera/ids-core/components/grid/container/register';

class IDColumnComponent {
    _elementRef;
    cols = "";
    offset = null;
    m = "";
    mOffset = null;
    s = "";
    sOffset = null;
    align = "";
    class = "";
    style = null;
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._elementRef.nativeElement.removeAttribute('style');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDColumnComponent, selector: "id-col", inputs: { cols: "cols", offset: "offset", m: "m", mOffset: "mOffset", s: "s", sOffset: "sOffset", align: "align", class: "class", style: "style" }, ngImport: i0, template: "<ids-col \n  [attr.cols]=\"cols\"\n  [attr.offset]=\"offset\"\n  [attr.m]=\"m\" \n  [attr.moffset]=\"[mOffset]\"\n  [attr.s]=\"s\" \n  [attr.soffset]=\"[sOffset]\"\n  [attr.align]=\"align\"\n  [attr.style]=\"style\"\n  [attr.class]=\"class\">\n  <ng-content></ng-content>\n</ids-col>", styles: ["id-col{display:contents}\n"], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-col', encapsulation: ViewEncapsulation.None, template: "<ids-col \n  [attr.cols]=\"cols\"\n  [attr.offset]=\"offset\"\n  [attr.m]=\"m\" \n  [attr.moffset]=\"[mOffset]\"\n  [attr.s]=\"s\" \n  [attr.soffset]=\"[sOffset]\"\n  [attr.align]=\"align\"\n  [attr.style]=\"style\"\n  [attr.class]=\"class\">\n  <ng-content></ng-content>\n</ids-col>", styles: ["id-col{display:contents}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { cols: [{
                type: Input
            }], offset: [{
                type: Input
            }], m: [{
                type: Input
            }], mOffset: [{
                type: Input
            }], s: [{
                type: Input
            }], sOffset: [{
                type: Input
            }], align: [{
                type: Input
            }], class: [{
                type: Input
            }], style: [{
                type: Input
            }] } });

class IDColumnModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, declarations: [IDColumnComponent], exports: [IDColumnComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDColumnModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDColumnComponent
                    ],
                    exports: [
                        IDColumnComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

class IDRowComponent {
    _elementRef;
    align = null;
    class = null;
    gap = null;
    justify = null;
    style = null;
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._elementRef.nativeElement.removeAttribute('style');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRowComponent, selector: "id-row", inputs: { align: "align", class: "class", gap: "gap", justify: "justify", style: "style" }, ngImport: i0, template: "<ids-row \n  [attr.class]=\"class\"\n  [style]=\"style\" \n  [justify]=\"justify\"\n  [align]=\"align\"\n  [gap]=\"gap\">\n  <ng-content></ng-content>\n</ids-row>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-row', template: "<ids-row \n  [attr.class]=\"class\"\n  [style]=\"style\" \n  [justify]=\"justify\"\n  [align]=\"align\"\n  [gap]=\"gap\">\n  <ng-content></ng-content>\n</ids-row>" }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { align: [{
                type: Input
            }], class: [{
                type: Input
            }], gap: [{
                type: Input
            }], justify: [{
                type: Input
            }], style: [{
                type: Input
            }] } });

class IDRowModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, declarations: [IDRowComponent], exports: [IDRowComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDRowComponent
                    ],
                    exports: [
                        IDRowComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

class IDContainerComponent {
    fluid = false;
    gutterless = false;
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDContainerComponent, selector: "id-container", inputs: { fluid: "fluid", gutterless: "gutterless" }, ngImport: i0, template: "<ids-container \n  [attr.gutterless]=\"gutterless ? true : null\" \n  [attr.fluid]=\"fluid ? true : null\">\n  <ng-content></ng-content>\n</ids-container>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-container', encapsulation: ViewEncapsulation.None, template: "<ids-container \n  [attr.gutterless]=\"gutterless ? true : null\" \n  [attr.fluid]=\"fluid ? true : null\">\n  <ng-content></ng-content>\n</ids-container>" }]
        }], ctorParameters: () => [], propDecorators: { fluid: [{
                type: Input
            }], gutterless: [{
                type: Input
            }] } });

class IDContainerModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDContainerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDContainerModule, declarations: [IDContainerComponent], exports: [IDContainerComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDContainerModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDContainerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDContainerComponent
                    ],
                    exports: [
                        IDContainerComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDColumnComponent, IDColumnModule, IDContainerComponent, IDContainerModule, IDRowComponent, IDRowModule };
//# sourceMappingURL=inera-ids-angular-components-grid.mjs.map
