import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, CUSTOM_ELEMENTS_SCHEMA, Component, ContentChildren, EventEmitter, ContentChild, Output } from '@angular/core';
import '@inera/ids-core/components/header-1177-admin/register';

class IDHeader1177AdminItemComponent {
    mobile = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminItemComponent, isStandalone: true, selector: "id-header-1177-admin-item", inputs: { mobile: "mobile" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-admin-item', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { mobile: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177AdminAvatarComponent {
    username = '';
    unit = '';
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminAvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminAvatarComponent, isStandalone: true, selector: "id-header-1177-admin-avatar", inputs: { username: "username", unit: "unit", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminAvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-admin-avatar', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177AdminNavItemComponent {
    label = "";
    notifications = "";
    active = false;
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminNavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminNavItemComponent, isStandalone: true, selector: "id-header-1177-admin-nav-item", inputs: { label: "label", notifications: "notifications", active: "active", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-admin-nav-item", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { label: [{
                type: Input
            }], notifications: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177AdminNavComponent {
    cdRef;
    template;
    navItemList;
    navItems;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    ngAfterContentInit() {
        this.updateNavItemsArray();
        this.navItemList.changes.subscribe(() => {
            this.updateNavItemsArray();
        });
    }
    updateNavItemsArray() {
        setTimeout(() => {
            this.navItems = this.navItemList.toArray();
            this.cdRef.detectChanges();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminNavComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminNavComponent, isStandalone: true, selector: "id-header-1177-admin-nav", queries: [{ propertyName: "navItemList", predicate: IDHeader1177AdminNavItemComponent }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ids-header-1177-admin-nav-item \n    *ngFor=\"let navItem of navItems\" \n    [label]=\"navItem.label\" \n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-admin-nav-item>\n</ng-template>", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminNavComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-admin-nav", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ids-header-1177-admin-nav-item \n    *ngFor=\"let navItem of navItems\" \n    [label]=\"navItem.label\" \n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-admin-nav-item>\n</ng-template>" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], navItemList: [{
                type: ContentChildren,
                args: [IDHeader1177AdminNavItemComponent]
            }] } });

class IDHeader1177AdminComponent {
    cdRef;
    brandtext = null;
    brandtexttop = null;
    brandtextbottom = null;
    pickregiontext = null;
    hideregionpicker = false;
    regionpickerexpanded = false;
    mobilemenuexpanded = false;
    fluid = false;
    logohref = null;
    onDidToggleRegion = new EventEmitter();
    // Header items
    itemList;
    items;
    // Header avatar
    avatar;
    // Header nav
    nav;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    showContent = false;
    ngAfterContentInit() {
        this.updateItemsArray();
        this.itemList.changes.subscribe(() => {
            this.updateItemsArray();
        });
    }
    updateItemsArray() {
        setTimeout(() => {
            this.items = this.itemList.toArray();
            this.cdRef.detectChanges();
            this.showContent = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminComponent, isStandalone: true, selector: "id-header-1177-admin", inputs: { brandtext: "brandtext", brandtexttop: "brandtexttop", brandtextbottom: "brandtextbottom", pickregiontext: "pickregiontext", hideregionpicker: "hideregionpicker", regionpickerexpanded: "regionpickerexpanded", mobilemenuexpanded: "mobilemenuexpanded", fluid: "fluid", logohref: "logohref" }, outputs: { onDidToggleRegion: "onDidToggleRegion" }, queries: [{ propertyName: "avatar", first: true, predicate: IDHeader1177AdminAvatarComponent, descendants: true }, { propertyName: "nav", first: true, predicate: IDHeader1177AdminNavComponent, descendants: true }, { propertyName: "itemList", predicate: IDHeader1177AdminItemComponent }], ngImport: i0, template: "<ids-header-1177-admin\n  [attr.brandtext]=\"brandtext\"\n  [attr.brandtexttop]=\"brandtexttop\"\n  [attr.brandtextbottom]=\"brandtextbottom\"\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded\"\n  [attr.mobilemenuexpanded]=\"mobilemenuexpanded ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-admin-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-admin-item>\n\n  <ids-header-1177-admin-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-admin-avatar>\n\n  <ids-header-1177-admin-nav *ngIf=\"showContent && nav\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-admin-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177-admin>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-admin", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ids-header-1177-admin\n  [attr.brandtext]=\"brandtext\"\n  [attr.brandtexttop]=\"brandtexttop\"\n  [attr.brandtextbottom]=\"brandtextbottom\"\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded\"\n  [attr.mobilemenuexpanded]=\"mobilemenuexpanded ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-admin-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-admin-item>\n\n  <ids-header-1177-admin-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-admin-avatar>\n\n  <ids-header-1177-admin-nav *ngIf=\"showContent && nav\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-admin-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177-admin>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { brandtext: [{
                type: Input
            }], brandtexttop: [{
                type: Input
            }], brandtextbottom: [{
                type: Input
            }], pickregiontext: [{
                type: Input
            }], hideregionpicker: [{
                type: Input
            }], regionpickerexpanded: [{
                type: Input
            }], mobilemenuexpanded: [{
                type: Input
            }], fluid: [{
                type: Input
            }], logohref: [{
                type: Input
            }], onDidToggleRegion: [{
                type: Output
            }], itemList: [{
                type: ContentChildren,
                args: [IDHeader1177AdminItemComponent]
            }], avatar: [{
                type: ContentChild,
                args: [IDHeader1177AdminAvatarComponent]
            }], nav: [{
                type: ContentChild,
                args: [IDHeader1177AdminNavComponent]
            }] } });

class IDHeader1177AdminAvatarMobileComponent {
    username = "";
    unit = "";
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminAvatarMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AdminAvatarMobileComponent, isStandalone: true, selector: "id-header-1177-admin-avatar-mobile", inputs: { username: "username", unit: "unit" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ids-header-1177-admin-avatar-mobile [username]=\"username\" [unit]=\"unit\">\n  <ng-content></ng-content>\n</ids-header-1177-admin-avatar-mobile>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AdminAvatarMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-admin-avatar-mobile", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ids-header-1177-admin-avatar-mobile [username]=\"username\" [unit]=\"unit\">\n  <ng-content></ng-content>\n</ids-header-1177-admin-avatar-mobile>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDHeader1177AdminAvatarComponent, IDHeader1177AdminAvatarMobileComponent, IDHeader1177AdminComponent, IDHeader1177AdminItemComponent, IDHeader1177AdminNavComponent, IDHeader1177AdminNavItemComponent };
//# sourceMappingURL=inera-ids-angular-components-header-1177-admin.mjs.map
