import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/mobile/menu/register';
import { CommonModule } from '@angular/common';

class IDMobileMenuItemComponent {
    headline;
    expanded;
    secondary;
    active;
    onDidToggleExpansion = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDMobileMenuItemComponent, selector: "id-mobile-menu-item", inputs: { headline: "headline", expanded: "expanded", secondary: "secondary", active: "active" }, outputs: { onDidToggleExpansion: "onDidToggleExpansion" }, ngImport: i0, template: "<ids-mobile-menu-item \n      [headline]=\"headline\"\n      [expanded]=\"expanded\"\n      [secondary]=\"secondary\"\n      [active]=\"active\"\n      (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n      <ng-content></ng-content>\n</ids-mobile-menu-item>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-mobile-menu-item", template: "<ids-mobile-menu-item \n      [headline]=\"headline\"\n      [expanded]=\"expanded\"\n      [secondary]=\"secondary\"\n      [active]=\"active\"\n      (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n      <ng-content></ng-content>\n</ids-mobile-menu-item>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { headline: [{
                type: Input
            }], expanded: [{
                type: Input
            }], secondary: [{
                type: Input
            }], active: [{
                type: Input
            }], onDidToggleExpansion: [{
                type: Output
            }] } });

class IDMobileMenuItemModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemModule, declarations: [IDMobileMenuItemComponent], imports: [CommonModule], exports: [IDMobileMenuItemComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDMobileMenuItemComponent],
                    exports: [IDMobileMenuItemComponent],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDMobileMenuItemComponent, IDMobileMenuItemModule };
//# sourceMappingURL=inera-ids-angular-components-mobile-menu-item.mjs.map
