import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/pagination/list-pagination/register';

class IDListPaginationComponent {
    constructor() { }
    showing = "Visar";
    from;
    to;
    of = "av";
    total;
    current;
    pages;
    srcurrentpage = "Aktuell sida";
    srgotopage = "Gå till sida";
    srprevious = "Föregående sida";
    srnext = "Nästa sida";
    onChangepage = new EventEmitter();
    onPrevpage = new EventEmitter();
    onNextpage = new EventEmitter();
    changePage(event) {
        this.onChangepage.emit(event);
    }
    prevPage(event) {
        this.onPrevpage.emit(event);
    }
    nextPage(event) {
        this.onNextpage.emit(event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDListPaginationComponent, selector: "id-list-pagination", inputs: { showing: "showing", from: "from", to: "to", of: "of", total: "total", current: "current", pages: "pages", srcurrentpage: "srcurrentpage", srgotopage: "srgotopage", srprevious: "srprevious", srnext: "srnext" }, outputs: { onChangepage: "onChangepage", onPrevpage: "onPrevpage", onNextpage: "onNextpage" }, ngImport: i0, template: "<ids-list-pagination\n  [showing]=\"showing\"\n  [from]=\"from\"\n  [to]=\"to\"\n  [of]=\"of\"\n  [total]=\"total\"\n  [current]=\"current\"\n  [pages]=\"pages\"\n  [srcurrentpage]=\"srcurrentpage\"\n  [srgotopage]=\"srgotopage\"\n  [srprevious]=\"srprevious\"\n  [srnext]=\"srnext\"\n  (changepage)=\"changePage($event)\"\n  (prevpage)=\"prevPage($event)\"\n  (nextpage)=\"nextPage($event)\">\n  <ng-content></ng-content>\n</ids-list-pagination>\n" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-list-pagination", template: "<ids-list-pagination\n  [showing]=\"showing\"\n  [from]=\"from\"\n  [to]=\"to\"\n  [of]=\"of\"\n  [total]=\"total\"\n  [current]=\"current\"\n  [pages]=\"pages\"\n  [srcurrentpage]=\"srcurrentpage\"\n  [srgotopage]=\"srgotopage\"\n  [srprevious]=\"srprevious\"\n  [srnext]=\"srnext\"\n  (changepage)=\"changePage($event)\"\n  (prevpage)=\"prevPage($event)\"\n  (nextpage)=\"nextPage($event)\">\n  <ng-content></ng-content>\n</ids-list-pagination>\n" }]
        }], ctorParameters: () => [], propDecorators: { showing: [{
                type: Input
            }], from: [{
                type: Input
            }], to: [{
                type: Input
            }], of: [{
                type: Input
            }], total: [{
                type: Input
            }], current: [{
                type: Input
            }], pages: [{
                type: Input
            }], srcurrentpage: [{
                type: Input
            }], srgotopage: [{
                type: Input
            }], srprevious: [{
                type: Input
            }], srnext: [{
                type: Input
            }], onChangepage: [{
                type: Output
            }], onPrevpage: [{
                type: Output
            }], onNextpage: [{
                type: Output
            }] } });

class IDListPaginationModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationModule, declarations: [IDListPaginationComponent], exports: [IDListPaginationComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDListPaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDListPaginationComponent],
                    exports: [IDListPaginationComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDListPaginationComponent, IDListPaginationModule };
//# sourceMappingURL=inera-ids-angular-components-pagination-list-pagination.mjs.map
