import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/side-menu/register';

class IDSideMenuComponent {
    constructor() { }
    label = "";
    srtoggletext = "";
    level = 1;
    active = false;
    expanded = false;
    onClosed = new EventEmitter();
    onOpened = new EventEmitter();
    showChange = new EventEmitter();
    hasClosed(event) {
        this.onClosed.emit(event);
    }
    hasOpened(event) {
        this.onOpened.emit(event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDSideMenuComponent, selector: "id-side-menu", inputs: { label: "label", srtoggletext: "srtoggletext", level: "level", active: "active", expanded: "expanded" }, outputs: { onClosed: "onClosed", onOpened: "onOpened", showChange: "showChange" }, ngImport: i0, template: "<ids-side-menu\n  [label]=\"label\"\n  [srtoggletext]=\"srtoggletext\"\n  [level]=\"level\"\n  [active]=\"active\"\n  [expanded]=\"expanded\"\n  (closed)=\"hasClosed($event)\"\n  (opened)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-side-menu>\n" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-side-menu", template: "<ids-side-menu\n  [label]=\"label\"\n  [srtoggletext]=\"srtoggletext\"\n  [level]=\"level\"\n  [active]=\"active\"\n  [expanded]=\"expanded\"\n  (closed)=\"hasClosed($event)\"\n  (opened)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-side-menu>\n" }]
        }], ctorParameters: () => [], propDecorators: { label: [{
                type: Input
            }], srtoggletext: [{
                type: Input
            }], level: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onOpened: [{
                type: Output
            }], showChange: [{
                type: Output
            }] } });

class IDSideMenuModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuModule, declarations: [IDSideMenuComponent], exports: [IDSideMenuComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSideMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDSideMenuComponent],
                    exports: [IDSideMenuComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDSideMenuComponent, IDSideMenuModule };
//# sourceMappingURL=inera-ids-angular-components-side-menu.mjs.map
