import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/stepper/register';

class IDStepComponent {
    constructor() { }
    state = "";
    headline = "";
    srindicatortext = "";
    label = "";
    expanded = false;
    disabled = false;
    onClosed = new EventEmitter();
    onExpanded = new EventEmitter();
    expandedChange = new EventEmitter();
    hasClosed(event) {
        this.expanded = false;
        this.onClosed.emit(event);
        this.expandedChange.emit(this.expanded);
    }
    hasExpanded(event) {
        this.expanded = true;
        this.onExpanded.emit(event);
        this.expandedChange.emit(this.expanded);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDStepComponent, selector: "id-step", inputs: { state: "state", headline: "headline", srindicatortext: "srindicatortext", label: "label", expanded: "expanded", disabled: "disabled" }, outputs: { onClosed: "onClosed", onExpanded: "onExpanded", expandedChange: "expandedChange" }, ngImport: i0, template: "<ids-step\n  [attr.state]=\"state\"\n  [attr.headline]=\"headline\"\n  [attr.label]=\"label\"\n  [attr.srindicatortext]=\"srindicatortext\"\n  [attr.expanded]=\"expanded ? true : null\"\n  [attr.disabled]=\"disabled ? true : null\"\n  (closed)=\"hasClosed($event)\"\n  (expanded)=\"hasExpanded($event)\">\n  <ng-content></ng-content>\n</ids-step>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-step", template: "<ids-step\n  [attr.state]=\"state\"\n  [attr.headline]=\"headline\"\n  [attr.label]=\"label\"\n  [attr.srindicatortext]=\"srindicatortext\"\n  [attr.expanded]=\"expanded ? true : null\"\n  [attr.disabled]=\"disabled ? true : null\"\n  (closed)=\"hasClosed($event)\"\n  (expanded)=\"hasExpanded($event)\">\n  <ng-content></ng-content>\n</ids-step>" }]
        }], ctorParameters: () => [], propDecorators: { state: [{
                type: Input
            }], headline: [{
                type: Input
            }], srindicatortext: [{
                type: Input
            }], label: [{
                type: Input
            }], expanded: [{
                type: Input
            }], disabled: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onExpanded: [{
                type: Output
            }], expandedChange: [{
                type: Output
            }] } });

class IDStepperComponent {
    onDidToggleExpansion = new EventEmitter();
    emitToggleExpansion(event) {
        this.onDidToggleExpansion.emit(event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDStepperComponent, selector: "id-stepper", outputs: { onDidToggleExpansion: "onDidToggleExpansion" }, ngImport: i0, template: "<ids-stepper (didToggleExpansion)=\"emitToggleExpansion($event)\">\n  <ng-content></ng-content>\n</ids-stepper>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepperComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-stepper", template: "<ids-stepper (didToggleExpansion)=\"emitToggleExpansion($event)\">\n  <ng-content></ng-content>\n</ids-stepper>" }]
        }], propDecorators: { onDidToggleExpansion: [{
                type: Output
            }] } });

class IDStepperModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDStepperModule, declarations: [IDStepComponent,
            IDStepperComponent], exports: [IDStepComponent,
            IDStepperComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepperModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDStepperModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDStepComponent,
                        IDStepperComponent
                    ],
                    exports: [
                        IDStepComponent,
                        IDStepperComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDStepComponent, IDStepperComponent, IDStepperModule };
//# sourceMappingURL=inera-ids-angular-components-stepper.mjs.map
