import { AfterContentInit, EventEmitter, QueryList } from '@angular/core';
import { IDTabComponent } from './tab/tab.component';
import { IDTabPanelComponent } from './panel/tab-panel.component';
import * as i0 from "@angular/core";
export declare class IDTabsComponent implements AfterContentInit {
    responsive: 'm' | 's';
    unresponsive: boolean;
    compact: boolean;
    selectlabel: string;
    tabComponents: QueryList<IDTabComponent>;
    tabPanelComponents: QueryList<IDTabPanelComponent>;
    onTabChange: EventEmitter<Event>;
    tabs: IDTabComponent[];
    tabPanels: IDTabPanelComponent[];
    showContent: boolean;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IDTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IDTabsComponent, "id-tabs", never, { "responsive": { "alias": "responsive"; "required": false; }; "unresponsive": { "alias": "unresponsive"; "required": false; }; "compact": { "alias": "compact"; "required": false; }; "selectlabel": { "alias": "selectlabel"; "required": false; }; }, { "onTabChange": "onTabChange"; }, ["tabComponents", "tabPanelComponents"], ["*"], false, never>;
}
