import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/alert-global/register';
import '@inera/ids-core/components/icons/chevron/register';
import { CommonModule } from '@angular/common';

class IDAlertGlobalComponent {
    constructor() { }
    collapsed = true;
    headline = "";
    hidemobileicon = false;
    showtext = "Visa mer";
    hidetext = "Visa mindre";
    norole = false;
    onDidToggleExpansion = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDAlertGlobalComponent, selector: "id-alert-global", inputs: { collapsed: "collapsed", headline: "headline", hidemobileicon: "hidemobileicon", showtext: "showtext", hidetext: "hidetext", norole: "norole" }, outputs: { onDidToggleExpansion: "onDidToggleExpansion" }, ngImport: i0, template: "<ids-alert-global \n  [headline]=\"headline\"\n  [showtext]=\"showtext\"\n  [hidetext]=\"hidetext\"\n  [collapsed]=\"collapsed ? true : null\"\n  [attr.norole]=\"norole ? true : null\"\n  [hidemobileicon]=\"hidemobileicon\"\n  (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n  <ng-content></ng-content>\n</ids-alert-global>", styles: [":host{display:block}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-alert-global", template: "<ids-alert-global \n  [headline]=\"headline\"\n  [showtext]=\"showtext\"\n  [hidetext]=\"hidetext\"\n  [collapsed]=\"collapsed ? true : null\"\n  [attr.norole]=\"norole ? true : null\"\n  [hidemobileicon]=\"hidemobileicon\"\n  (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n  <ng-content></ng-content>\n</ids-alert-global>", styles: [":host{display:block}\n"] }]
        }], ctorParameters: () => [], propDecorators: { collapsed: [{
                type: Input
            }], headline: [{
                type: Input
            }], hidemobileicon: [{
                type: Input
            }], showtext: [{
                type: Input
            }], hidetext: [{
                type: Input
            }], norole: [{
                type: Input
            }], onDidToggleExpansion: [{
                type: Output
            }] } });

class IDAlertGlobalModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalModule, declarations: [IDAlertGlobalComponent], imports: [CommonModule], exports: [IDAlertGlobalComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDAlertGlobalModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDAlertGlobalComponent
                    ],
                    exports: [
                        IDAlertGlobalComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDAlertGlobalComponent, IDAlertGlobalModule };
//# sourceMappingURL=inera-ids-angular-components-alert-global.mjs.map
