import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/button-group/register';

class IDButtonGroupComponent {
    rtl = false;
    unresponsive = false;
    justify = 'start';
    break = 'm';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDButtonGroupComponent, selector: "id-button-group", inputs: { rtl: "rtl", unresponsive: "unresponsive", justify: "justify", break: "break" }, ngImport: i0, template: "<ids-button-group [break]=\"break\" [justify]=\"justify\" [unresponsive]=\"unresponsive\" [rtl]=\"rtl\">\n  <ng-content></ng-content>\n</ids-button-group>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-button-group', encapsulation: ViewEncapsulation.None, template: "<ids-button-group [break]=\"break\" [justify]=\"justify\" [unresponsive]=\"unresponsive\" [rtl]=\"rtl\">\n  <ng-content></ng-content>\n</ids-button-group>" }]
        }], propDecorators: { rtl: [{
                type: Input
            }], unresponsive: [{
                type: Input
            }], justify: [{
                type: Input
            }], break: [{
                type: Input
            }] } });

class IDButtonGroupModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupModule, declarations: [IDButtonGroupComponent], exports: [IDButtonGroupComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDButtonGroupComponent
                    ],
                    exports: [
                        IDButtonGroupComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDButtonGroupComponent, IDButtonGroupModule };
//# sourceMappingURL=inera-ids-angular-components-button-group.mjs.map
