import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/button/register';
import { CommonModule } from '@angular/common';

class IDButtonComponent {
    constructor() { }
    secondary = false;
    fab = false;
    icon = false;
    tertiary = false;
    toggle = false;
    block = false;
    sblock = false;
    mblock = false;
    active = false;
    submit = false;
    loading = false;
    size = "m";
    disabled = false;
    type = undefined;
    color = undefined;
    //For Dialog
    trigger = "";
    // General props
    srlabel = "";
    onClicked = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDButtonComponent, selector: "id-button", inputs: { secondary: "secondary", fab: "fab", icon: "icon", tertiary: "tertiary", toggle: "toggle", block: "block", sblock: "sblock", mblock: "mblock", active: "active", submit: "submit", loading: "loading", size: "size", disabled: "disabled", type: "type", color: "color", trigger: "trigger", srlabel: "srlabel" }, outputs: { onClicked: "onClicked" }, host: { classAttribute: "ids-contains-clickable" }, ngImport: i0, template: "<ids-button \n  [secondary]=\"secondary ? 'true' : null\"\n  [attr.fab]=\"fab ? 'true' : null\"\n  [attr.icon]=\"icon ? 'true' : null\"\n  [tertiary]=\"tertiary ? 'true' : null\"\n  [attr.trigger]=\"trigger ? 'true' : null\"\n  [class.ids-dialog-trigger]=\"trigger\"\n  [toggle]=\"toggle ? 'true' : null\"\n  [active]=\"active ? 'true' : null\"\n  [submit]=\"submit ? 'true' : null\"\n  [loading]=\"loading ? 'true' : null\"\n  [disabled]=\"disabled ? 'true' : null\"\n  [block]=\"block ? 'true' : null\"\n  [sblock]=\"sblock ? 'true' : null\"\n  [mblock]=\"mblock ? 'true' : null\"\n  [size]=\"size\"\n  [type]=\"type\"\n  [color]=\"color\"\n  [attr.aria-label]=\"srlabel ? srlabel : null\"\n  (clicked)=\"onClicked.emit($event)\">\n  <ng-content></ng-content>\n</ids-button>", styles: ["id-button{display:contents}\n"], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-button", host: { class: "ids-contains-clickable" }, encapsulation: ViewEncapsulation.None, template: "<ids-button \n  [secondary]=\"secondary ? 'true' : null\"\n  [attr.fab]=\"fab ? 'true' : null\"\n  [attr.icon]=\"icon ? 'true' : null\"\n  [tertiary]=\"tertiary ? 'true' : null\"\n  [attr.trigger]=\"trigger ? 'true' : null\"\n  [class.ids-dialog-trigger]=\"trigger\"\n  [toggle]=\"toggle ? 'true' : null\"\n  [active]=\"active ? 'true' : null\"\n  [submit]=\"submit ? 'true' : null\"\n  [loading]=\"loading ? 'true' : null\"\n  [disabled]=\"disabled ? 'true' : null\"\n  [block]=\"block ? 'true' : null\"\n  [sblock]=\"sblock ? 'true' : null\"\n  [mblock]=\"mblock ? 'true' : null\"\n  [size]=\"size\"\n  [type]=\"type\"\n  [color]=\"color\"\n  [attr.aria-label]=\"srlabel ? srlabel : null\"\n  (clicked)=\"onClicked.emit($event)\">\n  <ng-content></ng-content>\n</ids-button>", styles: ["id-button{display:contents}\n"] }]
        }], ctorParameters: () => [], propDecorators: { secondary: [{
                type: Input
            }], fab: [{
                type: Input
            }], icon: [{
                type: Input
            }], tertiary: [{
                type: Input
            }], toggle: [{
                type: Input
            }], block: [{
                type: Input
            }], sblock: [{
                type: Input
            }], mblock: [{
                type: Input
            }], active: [{
                type: Input
            }], submit: [{
                type: Input
            }], loading: [{
                type: Input
            }], size: [{
                type: Input
            }], disabled: [{
                type: Input
            }], type: [{
                type: Input
            }], color: [{
                type: Input
            }], trigger: [{
                type: Input
            }], srlabel: [{
                type: Input
            }], onClicked: [{
                type: Output
            }] } });

class IDButtonModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDButtonModule, declarations: [IDButtonComponent], imports: [CommonModule], exports: [IDButtonComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDButtonComponent
                    ],
                    exports: [
                        IDButtonComponent
                    ],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDButtonComponent, IDButtonModule };
//# sourceMappingURL=inera-ids-angular-components-button.mjs.map
