import * as i0 from '@angular/core';
import { Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/carousel/register';

class IDCarouselItemComponent {
    headline = '';
    description = '';
    step = '';
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDCarouselItemComponent, selector: "id-carousel-item", inputs: { headline: "headline", description: "description", step: "step" }, ngImport: i0, template: "<ids-carousel-item\n  [headline]=\"headline\"\n  [description]=\"description\"\n  [step]=\"step\">\n  <ng-content></ng-content>\n</ids-carousel-item>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-carousel-item', template: "<ids-carousel-item\n  [headline]=\"headline\"\n  [description]=\"description\"\n  [step]=\"step\">\n  <ng-content></ng-content>\n</ids-carousel-item>" }]
        }], ctorParameters: () => [], propDecorators: { headline: [{
                type: Input
            }], description: [{
                type: Input
            }], step: [{
                type: Input
            }] } });

class IDCarouselComponent {
    autoplay = false;
    srnextlabel = 'Nästa slide';
    srprevlabel = 'Föregående slide';
    autoplaydelay = 5000;
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDCarouselComponent, selector: "id-carousel", inputs: { autoplay: "autoplay", srnextlabel: "srnextlabel", srprevlabel: "srprevlabel", autoplaydelay: "autoplaydelay" }, ngImport: i0, template: "<ids-carousel\n  [srnextlabel]=\"srnextlabel\"\n  [srprevlabel]=\"srprevlabel\"\n  [autoplay]=\"autoplay ? true : null\"\n  [autoplaydelay]=\"autoplaydelay\">\n  <ng-content></ng-content>\n</ids-carousel>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-carousel', template: "<ids-carousel\n  [srnextlabel]=\"srnextlabel\"\n  [srprevlabel]=\"srprevlabel\"\n  [autoplay]=\"autoplay ? true : null\"\n  [autoplaydelay]=\"autoplaydelay\">\n  <ng-content></ng-content>\n</ids-carousel>" }]
        }], ctorParameters: () => [], propDecorators: { autoplay: [{
                type: Input
            }], srnextlabel: [{
                type: Input
            }], srprevlabel: [{
                type: Input
            }], autoplaydelay: [{
                type: Input
            }] } });

class IDCarouselModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselModule, declarations: [IDCarouselComponent,
            IDCarouselItemComponent], exports: [IDCarouselComponent,
            IDCarouselItemComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDCarouselModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDCarouselComponent,
                        IDCarouselItemComponent
                    ],
                    exports: [
                        IDCarouselComponent,
                        IDCarouselItemComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDCarouselComponent, IDCarouselItemComponent, IDCarouselModule };
//# sourceMappingURL=inera-ids-angular-components-carousel.mjs.map
