import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/form/error-message/register';

class IDErrorMessageComponent {
    viewRef;
    constructor(viewRef) {
        this.viewRef = viewRef;
        this.viewRef.element.nativeElement.setAttribute('slot', 'error-msg');
    }
    show = false;
    ngOnInit() {
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageComponent, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDErrorMessageComponent, selector: "id-error-message", inputs: { show: "show" }, ngImport: i0, template: "<ids-error-message [show]=\"show ? true : null\">\n  <ng-content></ng-content>\n</ids-error-message>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-error-message', encapsulation: ViewEncapsulation.None, template: "<ids-error-message [show]=\"show ? true : null\">\n  <ng-content></ng-content>\n</ids-error-message>" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }], propDecorators: { show: [{
                type: Input
            }] } });

class IDErrorMessageModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageModule, declarations: [IDErrorMessageComponent], exports: [IDErrorMessageComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDErrorMessageModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDErrorMessageComponent
                    ],
                    exports: [
                        IDErrorMessageComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDErrorMessageComponent, IDErrorMessageModule };
//# sourceMappingURL=inera-ids-angular-components-form-error-message.mjs.map
