import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/form/radio/register';

class IDRadioGroupComponent extends IDFormBase {
    name = undefined;
    legend = undefined;
    required = false;
    compact = false;
    errormessage = undefined;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioGroupComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRadioGroupComponent, selector: "id-radio-group", inputs: { name: "name", legend: "legend", required: "required", compact: "compact", errormessage: "errormessage" }, usesInheritance: true, ngImport: i0, template: "<ids-radio-group \n  [name]=\"name\" \n  [legend]=\"legend\" \n  [required]=\"required\"\n  [compact]=\"compact\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errormessage\">{{errormessage}}</ids-error-message>\n</ids-radio-group>", dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-radio-group', encapsulation: ViewEncapsulation.None, template: "<ids-radio-group \n  [name]=\"name\" \n  [legend]=\"legend\" \n  [required]=\"required\"\n  [compact]=\"compact\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errormessage\">{{errormessage}}</ids-error-message>\n</ids-radio-group>" }]
        }], propDecorators: { name: [{
                type: Input
            }], legend: [{
                type: Input
            }], required: [{
                type: Input
            }], compact: [{
                type: Input
            }], errormessage: [{
                type: Input
            }] } });

class IDRadioComponent extends IDFormBase {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRadioComponent, selector: "id-radio", usesInheritance: true, ngImport: i0, template: "<ids-radio [light]=\"light ? true : null\" [invalid]=\"invalid\">\n  <ng-content></ng-content>\n</ids-radio>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-radio', encapsulation: ViewEncapsulation.None, template: "<ids-radio [light]=\"light ? true : null\" [invalid]=\"invalid\">\n  <ng-content></ng-content>\n</ids-radio>\n" }]
        }] });

class IDRadioModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDRadioModule, declarations: [IDRadioComponent,
            IDRadioGroupComponent], imports: [CommonModule], exports: [IDRadioComponent,
            IDRadioGroupComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRadioModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule
                    ],
                    declarations: [
                        IDRadioComponent,
                        IDRadioGroupComponent
                    ],
                    exports: [
                        IDRadioComponent,
                        IDRadioGroupComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDRadioComponent, IDRadioGroupComponent, IDRadioModule };
//# sourceMappingURL=inera-ids-angular-components-form-radio.mjs.map
