import * as i0 from '@angular/core';
import { Input, ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import '@inera/ids-core/components/form/select-multiple/register';

class IDSelectMultipleComponent extends IDFormBase {
    labeltext = undefined;
    disabled = false;
    ariadisabled = false;
    errormessage = undefined;
    maxheight = undefined;
    placeholder = '';
    selectedlabel = '';
    multiselectedlabel = '';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDSelectMultipleComponent, selector: "id-select-multiple", inputs: { labeltext: "labeltext", disabled: "disabled", ariadisabled: "ariadisabled", errormessage: "errormessage", maxheight: "maxheight", placeholder: "placeholder", selectedlabel: "selectedlabel", multiselectedlabel: "multiselectedlabel" }, usesInheritance: true, ngImport: i0, template: "<ids-select-multiple\n  [attr.light]=\"light ? true : null\"\n  [invalid]=\"invalid\"\n  [attr.disabled]=\"disabled ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.ariadisabled]=\"ariadisabled ? true : null\"\n  [labeltext]=\"labeltext\"\n  [placeholder]=\"placeholder\"\n  [selectedlabel]=\"selectedlabel\"\n  [multiselectedlabel]=\"multiselectedlabel\"\n  [maxheight]=\"maxheight\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errormessage\">{{ errormessage }}</ids-error-message>\n</ids-select-multiple>\n", dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-select-multiple', encapsulation: ViewEncapsulation.None, template: "<ids-select-multiple\n  [attr.light]=\"light ? true : null\"\n  [invalid]=\"invalid\"\n  [attr.disabled]=\"disabled ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  [attr.ariadisabled]=\"ariadisabled ? true : null\"\n  [labeltext]=\"labeltext\"\n  [placeholder]=\"placeholder\"\n  [selectedlabel]=\"selectedlabel\"\n  [multiselectedlabel]=\"multiselectedlabel\"\n  [maxheight]=\"maxheight\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n  <ids-error-message *ngIf=\"errormessage\">{{ errormessage }}</ids-error-message>\n</ids-select-multiple>\n" }]
        }], propDecorators: { labeltext: [{
                type: Input
            }], disabled: [{
                type: Input
            }], ariadisabled: [{
                type: Input
            }], errormessage: [{
                type: Input
            }], maxheight: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], selectedlabel: [{
                type: Input
            }], multiselectedlabel: [{
                type: Input
            }] } });

class IDSelectMultipleModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleModule, declarations: [IDSelectMultipleComponent], imports: [CommonModule], exports: [IDSelectMultipleComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectMultipleModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule
                    ],
                    declarations: [
                        IDSelectMultipleComponent
                    ],
                    exports: [
                        IDSelectMultipleComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDSelectMultipleComponent, IDSelectMultipleModule };
//# sourceMappingURL=inera-ids-angular-components-form-select-multiple.mjs.map
