import * as i0 from '@angular/core';
import { ViewEncapsulation, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { IDFormBase } from '@inera/ids-angular/common';
import '@inera/ids-core/components/form/select/register';

class IDSelectComponent extends IDFormBase {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDSelectComponent, selector: "id-select", usesInheritance: true, ngImport: i0, template: "<ids-select\n  [invalid]=\"invalid\"\n  [srof]=\"srof\"\n  [attr.light]=\"light ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-select>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-select", encapsulation: ViewEncapsulation.None, template: "<ids-select\n  [invalid]=\"invalid\"\n  [srof]=\"srof\"\n  [attr.light]=\"light ? true : null\"\n  [attr.novalidation]=\"novalidation ? true : null\"\n  (onValid)=\"emitOnValid($event)\"\n  (onInvalid)=\"emitOnInvalid($event)\">\n  <ng-content></ng-content>\n</ids-select>\n" }]
        }] });

class IDSelectModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDSelectModule, declarations: [IDSelectComponent], exports: [IDSelectComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDSelectComponent
                    ],
                    exports: [
                        IDSelectComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDSelectComponent, IDSelectModule };
//# sourceMappingURL=inera-ids-angular-components-form-select.mjs.map
