import * as i0 from '@angular/core';
import { Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/grid/row/register';

class IDRowComponent {
    _elementRef;
    align = null;
    class = null;
    gap = null;
    justify = null;
    style = null;
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._elementRef.nativeElement.removeAttribute('style');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDRowComponent, selector: "id-row", inputs: { align: "align", class: "class", gap: "gap", justify: "justify", style: "style" }, ngImport: i0, template: "<ids-row \n  [attr.class]=\"class\"\n  [style]=\"style\" \n  [justify]=\"justify\"\n  [align]=\"align\"\n  [gap]=\"gap\">\n  <ng-content></ng-content>\n</ids-row>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-row', template: "<ids-row \n  [attr.class]=\"class\"\n  [style]=\"style\" \n  [justify]=\"justify\"\n  [align]=\"align\"\n  [gap]=\"gap\">\n  <ng-content></ng-content>\n</ids-row>" }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { align: [{
                type: Input
            }], class: [{
                type: Input
            }], gap: [{
                type: Input
            }], justify: [{
                type: Input
            }], style: [{
                type: Input
            }] } });

class IDRowModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, declarations: [IDRowComponent], exports: [IDRowComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDRowModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDRowComponent
                    ],
                    exports: [
                        IDRowComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDRowComponent, IDRowModule };
//# sourceMappingURL=inera-ids-angular-components-grid-row.mjs.map
