import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, CUSTOM_ELEMENTS_SCHEMA, Component, ContentChild, ContentChildren, EventEmitter, Output } from '@angular/core';
import '@inera/ids-core/components/header-1177-pro/register';

class IDHeader1177ProItemComponent {
    mobile = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProItemComponent, isStandalone: true, selector: "id-header-1177-pro-item", inputs: { mobile: "mobile" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-pro-item', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { mobile: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177ProAvatarComponent {
    username = '';
    unit = '';
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProAvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProAvatarComponent, isStandalone: true, selector: "id-header-1177-pro-avatar", inputs: { username: "username", unit: "unit", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProAvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-pro-avatar', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177ProNavItemComponent {
    label = "";
    notifications = "";
    active = false;
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProNavItemComponent, isStandalone: true, selector: "id-header-1177-pro-nav-item", inputs: { label: "label", notifications: "notifications", active: "active", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-pro-nav-item", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { label: [{
                type: Input
            }], notifications: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177ProNavItemMobileComponent {
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavItemMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProNavItemMobileComponent, isStandalone: true, selector: "id-header-1177-pro-nav-item-mobile", viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavItemMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-pro-nav-item-mobile', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177ProNavMenuMobileComponent {
    expanded = false;
    persistent = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavMenuMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProNavMenuMobileComponent, isStandalone: true, selector: "id-header-1177-pro-nav-menu-mobile", inputs: { expanded: "expanded", persistent: "persistent" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavMenuMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-pro-nav-menu-mobile", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { expanded: [{
                type: Input
            }], persistent: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177ProNavComponent {
    cdRef;
    template;
    pickregiontext = null;
    navItemList;
    navItems;
    navItemMobileList;
    navItemsMobile;
    navMenuMobile;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    showMenuMobile = false;
    ngAfterContentInit() {
        this.updateNavItemsArray();
        this.navItemList.changes.subscribe(() => {
            this.updateNavItemsArray();
        });
        this.updateNavItemsMobileArray();
        this.navItemMobileList.changes.subscribe(() => {
            this.updateNavItemsMobileArray();
        });
    }
    updateNavItemsArray() {
        setTimeout(() => {
            this.navItems = this.navItemList.toArray();
            this.cdRef.detectChanges();
        });
    }
    updateNavItemsMobileArray() {
        setTimeout(() => {
            this.navItemsMobile = this.navItemMobileList.toArray();
            this.cdRef.detectChanges();
            this.showMenuMobile = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProNavComponent, isStandalone: true, selector: "id-header-1177-pro-nav", inputs: { pickregiontext: "pickregiontext" }, queries: [{ propertyName: "navMenuMobile", first: true, predicate: IDHeader1177ProNavMenuMobileComponent, descendants: true }, { propertyName: "navItemList", predicate: IDHeader1177ProNavItemComponent }, { propertyName: "navItemMobileList", predicate: IDHeader1177ProNavItemMobileComponent }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ids-header-1177-pro-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-pro-nav-item>\n  <ids-header-1177-pro-nav-item-mobile *ngFor=\"let navItemMobile of navItemsMobile\">\n    <ng-container *ngTemplateOutlet=\"navItemMobile.template\"></ng-container>\n  </ids-header-1177-pro-nav-item-mobile>\n  <ng-content></ng-content>\n  <ids-header-1177-pro-nav-menu-mobile\n    *ngIf=\"showMenuMobile && navMenuMobile\"\n    [expanded]=\"navMenuMobile.expanded\"\n    [persistent]=\"navMenuMobile.persistent\">\n    <ng-container *ngTemplateOutlet=\"navMenuMobile.template\"></ng-container>\n  </ids-header-1177-pro-nav-menu-mobile>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProNavComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-pro-nav", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ids-header-1177-pro-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-pro-nav-item>\n  <ids-header-1177-pro-nav-item-mobile *ngFor=\"let navItemMobile of navItemsMobile\">\n    <ng-container *ngTemplateOutlet=\"navItemMobile.template\"></ng-container>\n  </ids-header-1177-pro-nav-item-mobile>\n  <ng-content></ng-content>\n  <ids-header-1177-pro-nav-menu-mobile\n    *ngIf=\"showMenuMobile && navMenuMobile\"\n    [expanded]=\"navMenuMobile.expanded\"\n    [persistent]=\"navMenuMobile.persistent\">\n    <ng-container *ngTemplateOutlet=\"navMenuMobile.template\"></ng-container>\n  </ids-header-1177-pro-nav-menu-mobile>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], pickregiontext: [{
                type: Input
            }], navItemList: [{
                type: ContentChildren,
                args: [IDHeader1177ProNavItemComponent]
            }], navItemMobileList: [{
                type: ContentChildren,
                args: [IDHeader1177ProNavItemMobileComponent]
            }], navMenuMobile: [{
                type: ContentChild,
                args: [IDHeader1177ProNavMenuMobileComponent]
            }] } });

class IDHeader1177ProAvatarMobileComponent {
    username = '';
    unit = '';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProAvatarMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProAvatarMobileComponent, isStandalone: true, selector: "id-header-1177-pro-avatar-mobile", inputs: { username: "username", unit: "unit" }, ngImport: i0, template: "<ids-header-1177-pro-avatar-mobile [username]=\"username\" [unit]=\"unit\">\n  <ng-content></ng-content>\n</ids-header-1177-pro-avatar-mobile>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProAvatarMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-pro-avatar-mobile', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ids-header-1177-pro-avatar-mobile [username]=\"username\" [unit]=\"unit\">\n  <ng-content></ng-content>\n</ids-header-1177-pro-avatar-mobile>" }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }] } });

class IDHeader1177ProComponent {
    cdRef;
    pickregiontext = null;
    hideregionpicker = false;
    regionpickerexpanded = false;
    fluid = false;
    logohref = null;
    onDidToggleRegion = new EventEmitter();
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    // Header items
    itemList;
    items;
    // Header Avatar
    avatar;
    // Header Avatar
    avatarMobile;
    // Header nav
    nav;
    // HeaderNavMenuMobile
    navMenuMobile;
    showContent = false;
    ngAfterContentInit() {
        this.updateItemsArray();
        this.itemList.changes.subscribe(() => {
            this.updateItemsArray();
        });
    }
    updateItemsArray() {
        setTimeout(() => {
            this.items = this.itemList.toArray();
            this.cdRef.detectChanges();
            this.showContent = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ProComponent, isStandalone: true, selector: "id-header-1177-pro", inputs: { pickregiontext: "pickregiontext", hideregionpicker: "hideregionpicker", regionpickerexpanded: "regionpickerexpanded", fluid: "fluid", logohref: "logohref" }, outputs: { onDidToggleRegion: "onDidToggleRegion" }, queries: [{ propertyName: "avatar", first: true, predicate: IDHeader1177ProAvatarComponent, descendants: true }, { propertyName: "avatarMobile", first: true, predicate: IDHeader1177ProAvatarMobileComponent, descendants: true }, { propertyName: "nav", first: true, predicate: IDHeader1177ProNavComponent, descendants: true }, { propertyName: "navMenuMobile", first: true, predicate: IDHeader1177ProNavMenuMobileComponent, descendants: true }, { propertyName: "itemList", predicate: IDHeader1177ProItemComponent }], ngImport: i0, template: "<ids-header-1177-pro\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-pro-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-pro-avatar>\n\n  <ids-header-1177-pro-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-pro-item>\n\n  <ids-header-1177-pro-nav *ngIf=\"showContent && nav\" [attr.pickregiontext]=\"pickregiontext\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-pro-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177-pro>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ProComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-pro', standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [
                        CommonModule
                    ], template: "<ids-header-1177-pro\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-pro-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-pro-avatar>\n\n  <ids-header-1177-pro-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-pro-item>\n\n  <ids-header-1177-pro-nav *ngIf=\"showContent && nav\" [attr.pickregiontext]=\"pickregiontext\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-pro-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177-pro>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { pickregiontext: [{
                type: Input
            }], hideregionpicker: [{
                type: Input
            }], regionpickerexpanded: [{
                type: Input
            }], fluid: [{
                type: Input
            }], logohref: [{
                type: Input
            }], onDidToggleRegion: [{
                type: Output
            }], itemList: [{
                type: ContentChildren,
                args: [IDHeader1177ProItemComponent]
            }], avatar: [{
                type: ContentChild,
                args: [IDHeader1177ProAvatarComponent]
            }], avatarMobile: [{
                type: ContentChild,
                args: [IDHeader1177ProAvatarMobileComponent]
            }], nav: [{
                type: ContentChild,
                args: [IDHeader1177ProNavComponent]
            }], navMenuMobile: [{
                type: ContentChild,
                args: [IDHeader1177ProNavMenuMobileComponent]
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDHeader1177ProAvatarComponent, IDHeader1177ProAvatarMobileComponent, IDHeader1177ProComponent, IDHeader1177ProItemComponent, IDHeader1177ProNavComponent, IDHeader1177ProNavItemComponent, IDHeader1177ProNavItemMobileComponent, IDHeader1177ProNavMenuMobileComponent };
//# sourceMappingURL=inera-ids-angular-components-header-1177-pro.mjs.map
