import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, CUSTOM_ELEMENTS_SCHEMA, Component, ContentChildren, EventEmitter, ContentChild, Output } from '@angular/core';
import '@inera/ids-core/components/header-1177/register';

class IDHeader1177ItemComponent {
    mobile = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177ItemComponent, isStandalone: true, selector: "id-header-1177-item", inputs: { mobile: "mobile" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177ItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-item', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { mobile: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177AvatarComponent {
    username = "";
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177AvatarComponent, isStandalone: true, selector: "id-header-1177-avatar", inputs: { username: "username" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177AvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-avatar", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, imports: [CommonModule], template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n" }]
        }], propDecorators: { username: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177MenuMobileComponent {
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177MenuMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177MenuMobileComponent, isStandalone: true, selector: "id-header-1177-menu-mobile", viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177MenuMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-1177-menu-mobile', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177NavItemComponent {
    label = "";
    notifications = "";
    active = false;
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177NavItemComponent, isStandalone: true, selector: "id-header-1177-nav-item", inputs: { label: "label", notifications: "notifications", active: "active", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-nav-item", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { label: [{
                type: Input
            }], notifications: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177NavItemMobileComponent {
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavItemMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177NavItemMobileComponent, isStandalone: true, selector: "id-header-1177-nav-item-mobile", viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavItemMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-nav-item-mobile", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeader1177NavComponent {
    cdRef;
    hideontablet = false;
    template;
    navItemList;
    navItems;
    navItemMobileList;
    navItemsMobile;
    /*   @ContentChild(IDHeader1177MenuMobileComponent)
    navMenuMobile: IDHeader1177MenuMobileComponent; */
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    showMenuMobile = false;
    ngAfterContentInit() {
        this.updateNavItemsArray();
        this.navItemList.changes.subscribe(() => {
            this.updateNavItemsArray();
        });
        this.updateNavItemsMobileArray();
        this.navItemMobileList.changes.subscribe(() => {
            this.updateNavItemsMobileArray();
        });
    }
    updateNavItemsArray() {
        setTimeout(() => {
            this.navItems = this.navItemList.toArray();
            this.cdRef.detectChanges();
        });
    }
    updateNavItemsMobileArray() {
        setTimeout(() => {
            this.navItemsMobile = this.navItemMobileList.toArray();
            this.cdRef.detectChanges();
            this.showMenuMobile = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177NavComponent, isStandalone: true, selector: "id-header-1177-nav", inputs: { hideontablet: "hideontablet" }, queries: [{ propertyName: "navItemList", predicate: IDHeader1177NavItemComponent }, { propertyName: "navItemMobileList", predicate: IDHeader1177NavItemMobileComponent }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ids-header-1177-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-nav-item>\n  <ids-header-1177-nav-item-mobile *ngFor=\"let navItemMobile of navItemsMobile\">\n    <ng-container *ngTemplateOutlet=\"navItemMobile.template\"></ng-container>\n  </ids-header-1177-nav-item-mobile>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177NavComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177-nav", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ids-header-1177-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-1177-nav-item>\n  <ids-header-1177-nav-item-mobile *ngFor=\"let navItemMobile of navItemsMobile\">\n    <ng-container *ngTemplateOutlet=\"navItemMobile.template\"></ng-container>\n  </ids-header-1177-nav-item-mobile>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { hideontablet: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], navItemList: [{
                type: ContentChildren,
                args: [IDHeader1177NavItemComponent]
            }], navItemMobileList: [{
                type: ContentChildren,
                args: [IDHeader1177NavItemMobileComponent]
            }] } });

class IDHeader1177Component {
    cdRef;
    pickregiontext = null;
    srlogolabel = null;
    hideregionpicker = false;
    regionpickerexpanded = false;
    fluid = false;
    logohref = null;
    unresponsive = false;
    hideontablet = false;
    onDidToggleRegion = new EventEmitter();
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    // Header items
    itemList;
    items;
    // Header Avatar
    avatar;
    // Header mobile menu
    menuMobile;
    // Header nav
    nav;
    showContent = false;
    ngAfterContentInit() {
        this.updateItemsArray();
        this.itemList.changes.subscribe(() => {
            this.updateItemsArray();
        });
    }
    updateItemsArray() {
        setTimeout(() => {
            this.items = this.itemList.toArray();
            this.cdRef.detectChanges();
            this.showContent = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177Component, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeader1177Component, isStandalone: true, selector: "id-header-1177", inputs: { pickregiontext: "pickregiontext", srlogolabel: "srlogolabel", hideregionpicker: "hideregionpicker", regionpickerexpanded: "regionpickerexpanded", fluid: "fluid", logohref: "logohref", unresponsive: "unresponsive", hideontablet: "hideontablet" }, outputs: { onDidToggleRegion: "onDidToggleRegion" }, queries: [{ propertyName: "avatar", first: true, predicate: IDHeader1177AvatarComponent, descendants: true }, { propertyName: "menuMobile", first: true, predicate: IDHeader1177MenuMobileComponent, descendants: true }, { propertyName: "nav", first: true, predicate: IDHeader1177NavComponent, descendants: true }, { propertyName: "itemList", predicate: IDHeader1177ItemComponent }], ngImport: i0, template: "<ids-header-1177\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded ? 'true' : null\"\n  [attr.hideregionpicker]=\"hideregionpicker ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.srlogolabel]=\"srlogolabel\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-avatar *ngIf=\"showContent && avatar\" [username]=\"avatar.username\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-avatar>\n\n  <ids-header-1177-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-item>\n\n  <ids-header-1177-menu-mobile *ngIf=\"menuMobile\" slot=\"mobile-menu\">\n    <ng-container *ngTemplateOutlet=\"menuMobile.template\"></ng-container>\n  </ids-header-1177-menu-mobile>\n\n  <ids-header-1177-nav\n    *ngIf=\"showContent && nav\"\n    [attr.hideontablet]=\"nav.hideontablet ? 'true' : null\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeader1177Component, decorators: [{
            type: Component,
            args: [{ selector: "id-header-1177", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ids-header-1177\n  [attr.pickregiontext]=\"pickregiontext\"\n  [attr.regionpickerexpanded]=\"regionpickerexpanded ? 'true' : null\"\n  [attr.hideregionpicker]=\"hideregionpicker ? 'true' : null\"\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.srlogolabel]=\"srlogolabel\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [attr.logohref]=\"logohref\"\n  (didToggleRegion)=\"onDidToggleRegion.emit(true)\">\n  <ids-header-1177-avatar *ngIf=\"showContent && avatar\" [username]=\"avatar.username\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-1177-avatar>\n\n  <ids-header-1177-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-1177-item>\n\n  <ids-header-1177-menu-mobile *ngIf=\"menuMobile\" slot=\"mobile-menu\">\n    <ng-container *ngTemplateOutlet=\"menuMobile.template\"></ng-container>\n  </ids-header-1177-menu-mobile>\n\n  <ids-header-1177-nav\n    *ngIf=\"showContent && nav\"\n    [attr.hideontablet]=\"nav.hideontablet ? 'true' : null\">\n    <ng-container *ngTemplateOutlet=\"nav.template\"></ng-container>\n  </ids-header-1177-nav>\n\n  <ng-content></ng-content>\n</ids-header-1177>\n", styles: ["::ng-deep [slot=region],::ng-deep [slot=region-desktop]{display:flex!important}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { pickregiontext: [{
                type: Input
            }], srlogolabel: [{
                type: Input
            }], hideregionpicker: [{
                type: Input
            }], regionpickerexpanded: [{
                type: Input
            }], fluid: [{
                type: Input
            }], logohref: [{
                type: Input
            }], unresponsive: [{
                type: Input
            }], hideontablet: [{
                type: Input
            }], onDidToggleRegion: [{
                type: Output
            }], itemList: [{
                type: ContentChildren,
                args: [IDHeader1177ItemComponent]
            }], avatar: [{
                type: ContentChild,
                args: [IDHeader1177AvatarComponent]
            }], menuMobile: [{
                type: ContentChild,
                args: [IDHeader1177MenuMobileComponent]
            }], nav: [{
                type: ContentChild,
                args: [IDHeader1177NavComponent]
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDHeader1177AvatarComponent, IDHeader1177Component, IDHeader1177ItemComponent, IDHeader1177MenuMobileComponent, IDHeader1177NavComponent, IDHeader1177NavItemComponent, IDHeader1177NavItemMobileComponent };
//# sourceMappingURL=inera-ids-angular-components-header-1177.mjs.map
