import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, CUSTOM_ELEMENTS_SCHEMA, Component, ContentChildren, ContentChild } from '@angular/core';
import '@inera/ids-core/components/header-inera-admin/register';

class IDHeaderIneraAdminItemComponent {
    mobile = false;
    separatorleft = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminItemComponent, isStandalone: true, selector: "id-header-inera-admin-item", inputs: { mobile: "mobile", separatorleft: "separatorleft" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-inera-admin-item', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { mobile: [{
                type: Input
            }], separatorleft: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraAdminAvatarComponent {
    username = "";
    unit = "";
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminAvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminAvatarComponent, isStandalone: true, selector: "id-header-inera-admin-avatar", inputs: { username: "username", unit: "unit", expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminAvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin-avatar", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }], expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraAdminNavItemComponent {
    label = "";
    link = false;
    active = false;
    expanded = false;
    notifications = "";
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminNavItemComponent, isStandalone: true, selector: "id-header-inera-admin-nav-item", inputs: { label: "label", link: "link", active: "active", expanded: "expanded", notifications: "notifications" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin-nav-item", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { label: [{
                type: Input
            }], link: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], notifications: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraAdminNavComponent {
    cdRef;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    template;
    navItemList;
    navItems;
    ngAfterContentInit() {
        this.updateNavItemsArray();
        this.navItemList.changes.subscribe(() => {
            this.updateNavItemsArray();
        });
    }
    updateNavItemsArray() {
        setTimeout(() => {
            this.navItems = this.navItemList.toArray();
            this.cdRef.detectChanges();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminNavComponent, isStandalone: true, selector: "id-header-inera-admin-nav", queries: [{ propertyName: "navItemList", predicate: IDHeaderIneraAdminNavItemComponent }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ids-header-inera-admin-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\"\n    [link]=\"navItem.link\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-inera-admin-nav-item>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin-nav", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ids-header-inera-admin-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\"\n    [link]=\"navItem.link\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-inera-admin-nav-item>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], navItemList: [{
                type: ContentChildren,
                args: [IDHeaderIneraAdminNavItemComponent]
            }] } });

class IDHeaderIneraAdminAvatarMobileComponent {
    username = "";
    unit = "";
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminAvatarMobileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminAvatarMobileComponent, isStandalone: true, selector: "id-header-inera-admin-avatar-mobile", inputs: { username: "username", unit: "unit" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminAvatarMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin-avatar-mobile", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { username: [{
                type: Input
            }], unit: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraAdminNavMobileComponent {
    cdRef;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    expanded = false;
    persistent = false;
    label = "";
    template;
    // Mobile Avatar
    avatarMobile;
    showContent = false;
    ngAfterViewInit() {
        setTimeout(() => {
            this.showContent = true;
        }, 0);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavMobileComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminNavMobileComponent, isStandalone: true, selector: "id-header-inera-admin-nav-mobile", inputs: { expanded: "expanded", persistent: "persistent", label: "label" }, queries: [{ propertyName: "avatarMobile", first: true, predicate: IDHeaderIneraAdminAvatarMobileComponent, descendants: true }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n\n  <ids-header-inera-admin-avatar-mobile\n    *ngIf=\"showContent && avatarMobile\"\n    slot=\"menu-link\"\n    [username]=\"avatarMobile.username\"\n    [unit]=\"avatarMobile.unit\">\n    <ng-container *ngTemplateOutlet=\"avatarMobile.template\"></ng-container>\n  </ids-header-inera-admin-avatar-mobile>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminNavMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin-nav-mobile", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ng-content></ng-content>\n\n  <ids-header-inera-admin-avatar-mobile\n    *ngIf=\"showContent && avatarMobile\"\n    slot=\"menu-link\"\n    [username]=\"avatarMobile.username\"\n    [unit]=\"avatarMobile.unit\">\n    <ng-container *ngTemplateOutlet=\"avatarMobile.template\"></ng-container>\n  </ids-header-inera-admin-avatar-mobile>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { expanded: [{
                type: Input
            }], persistent: [{
                type: Input
            }], label: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], avatarMobile: [{
                type: ContentChild,
                args: [IDHeaderIneraAdminAvatarMobileComponent]
            }] } });

class IDHeaderIneraAdminComponent {
    cdRef;
    brandtext = "";
    fluid = false;
    unresponsive = false;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    // Avatar
    avatar;
    // Navbar
    navbar;
    // NavMobile
    navMobile;
    // Items
    itemList;
    items;
    showContent = false;
    ngAfterViewInit() {
        this.updateItemsArray();
        this.itemList.changes.subscribe(() => {
            this.updateItemsArray();
        });
    }
    updateItemsArray() {
        setTimeout(() => {
            this.items = this.itemList.toArray();
            this.cdRef.detectChanges();
            this.showContent = true;
        }, 0);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraAdminComponent, isStandalone: true, selector: "id-header-inera-admin", inputs: { brandtext: "brandtext", fluid: "fluid", unresponsive: "unresponsive" }, queries: [{ propertyName: "avatar", first: true, predicate: IDHeaderIneraAdminAvatarComponent, descendants: true }, { propertyName: "navbar", first: true, predicate: IDHeaderIneraAdminNavComponent, descendants: true }, { propertyName: "navMobile", first: true, predicate: IDHeaderIneraAdminNavMobileComponent, descendants: true }, { propertyName: "itemList", predicate: IDHeaderIneraAdminItemComponent }], ngImport: i0, template: "<ids-header-inera-admin\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [brandtext]=\"brandtext\">\n  <ids-header-inera-admin-item\n    *ngFor=\"let item of items\"\n    [mobile]=\"item.mobile ? true : null\"\n    [separatorleft]=\"item.separatorleft ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-inera-admin-item>\n\n  <ids-header-inera-admin-nav *ngIf=\"showContent && navbar\">\n    <ng-container *ngTemplateOutlet=\"navbar.template\"></ng-container>\n  </ids-header-inera-admin-nav>\n\n  <ids-header-inera-admin-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-inera-admin-avatar>\n\n  <ids-header-inera-admin-nav-mobile\n    *ngIf=\"showContent && navMobile\"\n    [expanded]=\"navMobile.expanded\"\n    [persistent]=\"navMobile.persistent\"\n    [label]=\"navMobile.label\">\n    <ng-container *ngTemplateOutlet=\"navMobile.template\"></ng-container>\n  </ids-header-inera-admin-nav-mobile>\n\n  <ng-content></ng-content>\n</ids-header-inera-admin>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraAdminComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-admin", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ids-header-inera-admin\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [brandtext]=\"brandtext\">\n  <ids-header-inera-admin-item\n    *ngFor=\"let item of items\"\n    [mobile]=\"item.mobile ? true : null\"\n    [separatorleft]=\"item.separatorleft ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-inera-admin-item>\n\n  <ids-header-inera-admin-nav *ngIf=\"showContent && navbar\">\n    <ng-container *ngTemplateOutlet=\"navbar.template\"></ng-container>\n  </ids-header-inera-admin-nav>\n\n  <ids-header-inera-admin-avatar\n    *ngIf=\"showContent && avatar\"\n    [username]=\"avatar.username\"\n    [unit]=\"avatar.unit\"\n    [expanded]=\"avatar.expanded\">\n    <ng-container *ngTemplateOutlet=\"avatar.template\"></ng-container>\n  </ids-header-inera-admin-avatar>\n\n  <ids-header-inera-admin-nav-mobile\n    *ngIf=\"showContent && navMobile\"\n    [expanded]=\"navMobile.expanded\"\n    [persistent]=\"navMobile.persistent\"\n    [label]=\"navMobile.label\">\n    <ng-container *ngTemplateOutlet=\"navMobile.template\"></ng-container>\n  </ids-header-inera-admin-nav-mobile>\n\n  <ng-content></ng-content>\n</ids-header-inera-admin>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { brandtext: [{
                type: Input
            }], fluid: [{
                type: Input
            }], unresponsive: [{
                type: Input
            }], avatar: [{
                type: ContentChild,
                args: [IDHeaderIneraAdminAvatarComponent]
            }], navbar: [{
                type: ContentChild,
                args: [IDHeaderIneraAdminNavComponent]
            }], navMobile: [{
                type: ContentChild,
                args: [IDHeaderIneraAdminNavMobileComponent]
            }], itemList: [{
                type: ContentChildren,
                args: [IDHeaderIneraAdminItemComponent]
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDHeaderIneraAdminAvatarComponent, IDHeaderIneraAdminAvatarMobileComponent, IDHeaderIneraAdminComponent, IDHeaderIneraAdminItemComponent, IDHeaderIneraAdminNavComponent, IDHeaderIneraAdminNavItemComponent, IDHeaderIneraAdminNavMobileComponent };
//# sourceMappingURL=inera-ids-angular-components-header-inera-admin.mjs.map
