import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { TemplateRef, ViewChild, Input, CUSTOM_ELEMENTS_SCHEMA, Component, ContentChildren, ContentChild } from '@angular/core';
import '@inera/ids-core/components/header-inera/register';

class IDHeaderIneraItemComponent {
    mobile = false;
    separatorleft = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraItemComponent, isStandalone: true, selector: "id-header-inera-item", inputs: { mobile: "mobile", separatorleft: "separatorleft" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-header-inera-item', schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { mobile: [{
                type: Input
            }], separatorleft: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraNavItemComponent {
    label = "";
    link = false;
    active = false;
    expanded = false;
    notifications = "";
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraNavItemComponent, isStandalone: true, selector: "id-header-inera-nav-item", inputs: { label: "label", link: "link", active: "active", expanded: "expanded", notifications: "notifications" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-nav-item", schemas: [CUSTOM_ELEMENTS_SCHEMA], standalone: true, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>" }]
        }], propDecorators: { label: [{
                type: Input
            }], link: [{
                type: Input
            }], active: [{
                type: Input
            }], expanded: [{
                type: Input
            }], notifications: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraNavComponent {
    cdRef;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    template;
    navItemList;
    navItems;
    ngAfterContentInit() {
        this.updateNavItemsArray();
        this.navItemList.changes.subscribe(() => {
            this.updateNavItemsArray();
        });
    }
    updateNavItemsArray() {
        setTimeout(() => {
            this.navItems = this.navItemList.toArray();
            this.cdRef.detectChanges();
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraNavComponent, isStandalone: true, selector: "id-header-inera-nav", queries: [{ propertyName: "navItemList", predicate: IDHeaderIneraNavItemComponent }], viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ids-header-inera-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\"\n    [link]=\"navItem.link\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-inera-nav-item>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-nav", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ids-header-inera-nav-item\n    *ngFor=\"let navItem of navItems\"\n    [label]=\"navItem.label\"\n    [notifications]=\"navItem.notifications\"\n    [active]=\"navItem.active\"\n    [expanded]=\"navItem.expanded\"\n    [link]=\"navItem.link\">\n    <ng-container *ngTemplateOutlet=\"navItem.template\"></ng-container>\n  </ids-header-inera-nav-item>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { template: [{
                type: ViewChild,
                args: [TemplateRef]
            }], navItemList: [{
                type: ContentChildren,
                args: [IDHeaderIneraNavItemComponent]
            }] } });

class IDHeaderIneraNavMobileComponent {
    cdRef;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    expanded = false;
    template;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavMobileComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraNavMobileComponent, isStandalone: true, selector: "id-header-inera-nav-mobile", inputs: { expanded: "expanded" }, viewQueries: [{ propertyName: "template", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraNavMobileComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera-nav-mobile", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ng-template>\n  <ng-content></ng-content>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { expanded: [{
                type: Input
            }], template: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class IDHeaderIneraComponent {
    cdRef;
    logohref = "";
    srlogolabel = "";
    fluid = false;
    unresponsive = false;
    constructor(cdRef) {
        this.cdRef = cdRef;
    }
    // Navbar
    navbar;
    // NavMobile
    navMobile;
    // Items
    itemList;
    items;
    showContent = false;
    ngAfterContentInit() {
        this.updateItemsArray();
        this.itemList.changes.subscribe(() => {
            this.updateItemsArray();
        });
    }
    updateItemsArray() {
        setTimeout(() => {
            this.items = this.itemList.toArray();
            this.cdRef.detectChanges();
            this.showContent = true;
        });
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDHeaderIneraComponent, isStandalone: true, selector: "id-header-inera", inputs: { logohref: "logohref", srlogolabel: "srlogolabel", fluid: "fluid", unresponsive: "unresponsive" }, queries: [{ propertyName: "navbar", first: true, predicate: IDHeaderIneraNavComponent, descendants: true }, { propertyName: "navMobile", first: true, predicate: IDHeaderIneraNavMobileComponent, descendants: true }, { propertyName: "itemList", predicate: IDHeaderIneraItemComponent }], ngImport: i0, template: "<ids-header-inera\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [logohref]=\"logohref\"\n  [srlogolabel]=\"srlogolabel\">\n  <ids-header-inera-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\" [separatorleft]=\"item.separatorleft ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-inera-item>\n\n  <ids-header-inera-nav *ngIf=\"showContent &&navbar\">\n    <ng-container *ngTemplateOutlet=\"navbar.template\"></ng-container>\n  </ids-header-inera-nav>\n\n  <ids-header-inera-nav-mobile *ngIf=\"showContent && navMobile\" [expanded]=\"navMobile.expanded\">\n    <ng-container *ngTemplateOutlet=\"navMobile.template\"></ng-container>\n  </ids-header-inera-nav-mobile>\n\n  <ng-content></ng-content>\n</ids-header-inera>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDHeaderIneraComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-header-inera", standalone: true, schemas: [CUSTOM_ELEMENTS_SCHEMA], imports: [CommonModule], template: "<ids-header-inera\n  [attr.fluid]=\"fluid ? 'true' : null\"\n  [attr.unresponsive]=\"unresponsive ? 'true' : null\"\n  [logohref]=\"logohref\"\n  [srlogolabel]=\"srlogolabel\">\n  <ids-header-inera-item *ngFor=\"let item of items\" [mobile]=\"item.mobile ? true : null\" [separatorleft]=\"item.separatorleft ? true : null\">\n    <ng-container *ngTemplateOutlet=\"item.template\"></ng-container>\n  </ids-header-inera-item>\n\n  <ids-header-inera-nav *ngIf=\"showContent &&navbar\">\n    <ng-container *ngTemplateOutlet=\"navbar.template\"></ng-container>\n  </ids-header-inera-nav>\n\n  <ids-header-inera-nav-mobile *ngIf=\"showContent && navMobile\" [expanded]=\"navMobile.expanded\">\n    <ng-container *ngTemplateOutlet=\"navMobile.template\"></ng-container>\n  </ids-header-inera-nav-mobile>\n\n  <ng-content></ng-content>\n</ids-header-inera>\n" }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { logohref: [{
                type: Input
            }], srlogolabel: [{
                type: Input
            }], fluid: [{
                type: Input
            }], unresponsive: [{
                type: Input
            }], navbar: [{
                type: ContentChild,
                args: [IDHeaderIneraNavComponent]
            }], navMobile: [{
                type: ContentChild,
                args: [IDHeaderIneraNavMobileComponent]
            }], itemList: [{
                type: ContentChildren,
                args: [IDHeaderIneraItemComponent]
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { IDHeaderIneraComponent, IDHeaderIneraItemComponent, IDHeaderIneraNavComponent, IDHeaderIneraNavItemComponent, IDHeaderIneraNavMobileComponent };
//# sourceMappingURL=inera-ids-angular-components-header-inera.mjs.map
