import * as i0 from '@angular/core';
import { Input, HostBinding, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/link/register';
import { CommonModule } from '@angular/common';

class IDLinkComponent {
    constructor() { }
    active = false;
    colorpreset = 0;
    light = false;
    block = false;
    small = false;
    large = false;
    activeicon = false;
    underlined = false;
    nounderline = false;
    slot = null;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDLinkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDLinkComponent, selector: "id-link", inputs: { active: "active", colorpreset: "colorpreset", light: "light", block: "block", small: "small", large: "large", activeicon: "activeicon", underlined: "underlined", nounderline: "nounderline", slot: "slot" }, host: { properties: { "class.ids-block": "this.block" } }, ngImport: i0, template: "<ids-link\n  [attr.activeicon]=\"activeicon ? true : null\"\n  [attr.active]=\"active ? true : null\"\n  [attr.colorpreset]=\"colorpreset > 0 ? colorpreset : null\"\n  [light]=\"light ? true : null\"\n  [block]=\"block ? true : null\"\n  [small]=\"small ? true : null\"\n  [large]=\"large ? true : null\"\n  [underlined]=\"underlined ? true : null\"\n  [nounderline]=\"nounderline ? true : null\"\n  [attr.slot]=\"slot\">\n  <ng-content></ng-content>\n</ids-link>\n" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDLinkComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-link", template: "<ids-link\n  [attr.activeicon]=\"activeicon ? true : null\"\n  [attr.active]=\"active ? true : null\"\n  [attr.colorpreset]=\"colorpreset > 0 ? colorpreset : null\"\n  [light]=\"light ? true : null\"\n  [block]=\"block ? true : null\"\n  [small]=\"small ? true : null\"\n  [large]=\"large ? true : null\"\n  [underlined]=\"underlined ? true : null\"\n  [nounderline]=\"nounderline ? true : null\"\n  [attr.slot]=\"slot\">\n  <ng-content></ng-content>\n</ids-link>\n" }]
        }], ctorParameters: () => [], propDecorators: { active: [{
                type: Input
            }], colorpreset: [{
                type: Input
            }], light: [{
                type: Input
            }], block: [{
                type: Input
            }, {
                type: HostBinding,
                args: ["class.ids-block"]
            }], small: [{
                type: Input
            }], large: [{
                type: Input
            }], activeicon: [{
                type: Input
            }], underlined: [{
                type: Input
            }], nounderline: [{
                type: Input
            }], slot: [{
                type: Input
            }] } });

class IDLinkModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDLinkModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDLinkModule, declarations: [IDLinkComponent], imports: [CommonModule], exports: [IDLinkComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDLinkModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDLinkModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDLinkComponent
                    ],
                    imports: [CommonModule],
                    exports: [
                        IDLinkComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDLinkComponent, IDLinkModule };
//# sourceMappingURL=inera-ids-angular-components-link.mjs.map
