import * as i0 from '@angular/core';
import { Input, Component, EventEmitter, Output, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/mobile/menu/register';
import { CommonModule } from '@angular/common';

class IDMobileMenuComponent {
    constructor() {
    }
    type = undefined;
    variation = '1';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDMobileMenuComponent, selector: "id-mobile-menu", inputs: { type: "type", variation: "variation" }, ngImport: i0, template: "<ids-mobile-menu \n  [type]=\"type\"\n  [variation]=\"variation\">\n  <ng-content></ng-content>\n</ids-mobile-menu>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-mobile-menu', template: "<ids-mobile-menu \n  [type]=\"type\"\n  [variation]=\"variation\">\n  <ng-content></ng-content>\n</ids-mobile-menu>" }]
        }], ctorParameters: () => [], propDecorators: { type: [{
                type: Input
            }], variation: [{
                type: Input
            }] } });

class IDMobileMenuItemComponent {
    headline;
    expanded;
    secondary;
    active;
    onDidToggleExpansion = new EventEmitter();
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDMobileMenuItemComponent, selector: "id-mobile-menu-item", inputs: { headline: "headline", expanded: "expanded", secondary: "secondary", active: "active" }, outputs: { onDidToggleExpansion: "onDidToggleExpansion" }, ngImport: i0, template: "<ids-mobile-menu-item \n      [headline]=\"headline\"\n      [expanded]=\"expanded\"\n      [secondary]=\"secondary\"\n      [active]=\"active\"\n      (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n      <ng-content></ng-content>\n</ids-mobile-menu-item>", styles: [":host{display:contents}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuItemComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-mobile-menu-item", template: "<ids-mobile-menu-item \n      [headline]=\"headline\"\n      [expanded]=\"expanded\"\n      [secondary]=\"secondary\"\n      [active]=\"active\"\n      (didToggleExpansion)=\"onDidToggleExpansion.emit(true)\">\n      <ng-content></ng-content>\n</ids-mobile-menu-item>", styles: [":host{display:contents}\n"] }]
        }], propDecorators: { headline: [{
                type: Input
            }], expanded: [{
                type: Input
            }], secondary: [{
                type: Input
            }], active: [{
                type: Input
            }], onDidToggleExpansion: [{
                type: Output
            }] } });

class IDMobileMenuModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuModule, declarations: [IDMobileMenuComponent, IDMobileMenuItemComponent], imports: [CommonModule], exports: [IDMobileMenuComponent, IDMobileMenuItemComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDMobileMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDMobileMenuComponent, IDMobileMenuItemComponent],
                    exports: [IDMobileMenuComponent, IDMobileMenuItemComponent],
                    imports: [CommonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDMobileMenuComponent, IDMobileMenuItemComponent, IDMobileMenuModule };
//# sourceMappingURL=inera-ids-angular-components-mobile-menu.mjs.map
