import * as i0 from '@angular/core';
import { Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/popover/register';

class IDPopoverComponent {
    constructor() { }
    autofocus = false;
    show = false;
    srclosetext = 'Stäng';
    maxwidth = 260;
    maxheight = 260;
    category = undefined;
    position = 'bottom';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDPopoverComponent, selector: "id-popover", inputs: { autofocus: "autofocus", show: "show", srclosetext: "srclosetext", maxwidth: "maxwidth", maxheight: "maxheight", category: "category", position: "position" }, ngImport: i0, template: "<ids-popover [attr.category]=\"category\" [attr.position]=\"position\">\n  <ng-content></ng-content>\n  <ids-popover-content\n    [attr.autofocus]=\"autofocus ? 'true' : null\"\n    [attr.srclosetext]=\"srclosetext\"\n    [attr.maxwidth]=\"maxwidth\"\n    [attr.maxheight]=\"maxheight\"\n    [attr.show]=\"show ? 'true' : null\">\n    <ng-content select=\"[slot='headline']\"></ng-content>\n    <ng-content select=\"[popover-content]\"></ng-content>\n  </ids-popover-content>\n</ids-popover>\n" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-popover', template: "<ids-popover [attr.category]=\"category\" [attr.position]=\"position\">\n  <ng-content></ng-content>\n  <ids-popover-content\n    [attr.autofocus]=\"autofocus ? 'true' : null\"\n    [attr.srclosetext]=\"srclosetext\"\n    [attr.maxwidth]=\"maxwidth\"\n    [attr.maxheight]=\"maxheight\"\n    [attr.show]=\"show ? 'true' : null\">\n    <ng-content select=\"[slot='headline']\"></ng-content>\n    <ng-content select=\"[popover-content]\"></ng-content>\n  </ids-popover-content>\n</ids-popover>\n" }]
        }], ctorParameters: () => [], propDecorators: { autofocus: [{
                type: Input
            }], show: [{
                type: Input
            }], srclosetext: [{
                type: Input
            }], maxwidth: [{
                type: Input
            }], maxheight: [{
                type: Input
            }], category: [{
                type: Input
            }], position: [{
                type: Input
            }] } });

class IDPopoverModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverModule, declarations: [IDPopoverComponent], exports: [IDPopoverComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPopoverModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDPopoverComponent
                    ],
                    exports: [
                        IDPopoverComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDPopoverComponent, IDPopoverModule };
//# sourceMappingURL=inera-ids-angular-components-popover.mjs.map
