import * as i0 from '@angular/core';
import { ViewEncapsulation, Component, Input, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/puff-list/register';

class IDPuffListComponent {
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDPuffListComponent, selector: "id-puff-list", ngImport: i0, template: "<ids-puff-list>\n  <ng-content></ng-content>\n</ids-puff-list>", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-puff-list', encapsulation: ViewEncapsulation.None, template: "<ids-puff-list>\n  <ng-content></ng-content>\n</ids-puff-list>" }]
        }], ctorParameters: () => [] });

class IDPuffListItemComponent {
    date = null;
    year = null;
    month = null;
    monthlabel = null;
    day = null;
    showdatelabel = false;
    time = '';
    showtime = false;
    nocontent = false;
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDPuffListItemComponent, selector: "id-puff-list-item", inputs: { date: "date", year: "year", month: "month", monthlabel: "monthlabel", day: "day", showdatelabel: "showdatelabel", time: "time", showtime: "showtime", nocontent: "nocontent" }, ngImport: i0, template: "<ids-puff-list-item\n  [date]=\"date\"\n  [year]=\"year\"\n  [month]=\"month\"\n  [nocontent]=\"nocontent ? true : null\"\n  [monthlabel]=\"monthlabel\"\n  [day]=\"day\"\n  [time]=\"time\"\n  [showtime]=\"showtime\">\n  <ng-content></ng-content>\n</ids-puff-list-item>\n", encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-puff-list-item', encapsulation: ViewEncapsulation.None, template: "<ids-puff-list-item\n  [date]=\"date\"\n  [year]=\"year\"\n  [month]=\"month\"\n  [nocontent]=\"nocontent ? true : null\"\n  [monthlabel]=\"monthlabel\"\n  [day]=\"day\"\n  [time]=\"time\"\n  [showtime]=\"showtime\">\n  <ng-content></ng-content>\n</ids-puff-list-item>\n" }]
        }], ctorParameters: () => [], propDecorators: { date: [{
                type: Input
            }], year: [{
                type: Input
            }], month: [{
                type: Input
            }], monthlabel: [{
                type: Input
            }], day: [{
                type: Input
            }], showdatelabel: [{
                type: Input
            }], time: [{
                type: Input
            }], showtime: [{
                type: Input
            }], nocontent: [{
                type: Input
            }] } });

class IDPuffListItemInfoComponent {
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemInfoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDPuffListItemInfoComponent, selector: "id-puff-list-item-info", ngImport: i0, template: "<ids-puff-list-item-info>\n  <ng-content></ng-content>\n</ids-puff-list-item-info>", styles: [":host{display:block}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemInfoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-puff-list-item-info', template: "<ids-puff-list-item-info>\n  <ng-content></ng-content>\n</ids-puff-list-item-info>", styles: [":host{display:block}\n"] }]
        }], ctorParameters: () => [] });

class IDPuffListItemHeaderComponent {
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDPuffListItemHeaderComponent, selector: "id-puff-list-item-header", ngImport: i0, template: "<ids-puff-list-item-header>\n  <ng-content></ng-content>\n</ids-puff-list-item-header>", styles: [":host{display:block}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListItemHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'id-puff-list-item-header', template: "<ids-puff-list-item-header>\n  <ng-content></ng-content>\n</ids-puff-list-item-header>", styles: [":host{display:block}\n"] }]
        }], ctorParameters: () => [] });

class IDPuffListModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListModule, declarations: [IDPuffListComponent,
            IDPuffListItemComponent,
            IDPuffListItemInfoComponent,
            IDPuffListItemHeaderComponent], exports: [IDPuffListComponent,
            IDPuffListItemComponent,
            IDPuffListItemInfoComponent,
            IDPuffListItemHeaderComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDPuffListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDPuffListComponent,
                        IDPuffListItemComponent,
                        IDPuffListItemInfoComponent,
                        IDPuffListItemHeaderComponent
                    ],
                    exports: [
                        IDPuffListComponent,
                        IDPuffListItemComponent,
                        IDPuffListItemInfoComponent,
                        IDPuffListItemHeaderComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDPuffListComponent, IDPuffListItemComponent, IDPuffListItemHeaderComponent, IDPuffListItemInfoComponent, IDPuffListModule };
//# sourceMappingURL=inera-ids-angular-components-puff-list.mjs.map
