import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/side-panel/register';

class IDSidePanelComponent {
    constructor() { }
    show = false;
    left = false;
    elevated = false;
    menu = false;
    footer = false;
    onClosed = new EventEmitter();
    onOpened = new EventEmitter();
    showChange = new EventEmitter();
    hasClosed(event) {
        this.show = false;
        this.onClosed.emit(event);
        this.showChange.emit(false);
    }
    hasOpened(event) {
        this.show = true;
        this.onOpened.emit(event);
        this.showChange.emit(true);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDSidePanelComponent, selector: "id-side-panel", inputs: { show: "show", left: "left", elevated: "elevated", menu: "menu", footer: "footer" }, outputs: { onClosed: "onClosed", onOpened: "onOpened", showChange: "showChange" }, ngImport: i0, template: "<ids-side-panel\n  [show]=\"show ? true : null\"\n  [left]=\"left ? true : null\"\n  [menu]=\"menu ? true : null\"\n  [footer]=\"footer ? true : null\"\n  [elevated]=\"elevated ? true : null\"\n  (closed)=\"hasClosed($event)\"\n  (opened)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-side-panel>\n" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-side-panel", template: "<ids-side-panel\n  [show]=\"show ? true : null\"\n  [left]=\"left ? true : null\"\n  [menu]=\"menu ? true : null\"\n  [footer]=\"footer ? true : null\"\n  [elevated]=\"elevated ? true : null\"\n  (closed)=\"hasClosed($event)\"\n  (opened)=\"hasOpened($event)\">\n  <ng-content></ng-content>\n</ids-side-panel>\n" }]
        }], ctorParameters: () => [], propDecorators: { show: [{
                type: Input
            }], left: [{
                type: Input
            }], elevated: [{
                type: Input
            }], menu: [{
                type: Input
            }], footer: [{
                type: Input
            }], onClosed: [{
                type: Output
            }], onOpened: [{
                type: Output
            }], showChange: [{
                type: Output
            }] } });

class IDSidePanelModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelModule, declarations: [IDSidePanelComponent], exports: [IDSidePanelComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDSidePanelModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IDSidePanelComponent],
                    exports: [IDSidePanelComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDSidePanelComponent, IDSidePanelModule };
//# sourceMappingURL=inera-ids-angular-components-side-panel.mjs.map
