import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, Component, CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import '@inera/ids-core/components/tag/register';

class IDTagComponent {
    closeable = false;
    srcloselabel = "";
    onClicked = new EventEmitter();
    onClosed = new EventEmitter();
    constructor() { }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTagComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: IDTagComponent, selector: "id-tag", inputs: { closeable: "closeable", srcloselabel: "srcloselabel" }, outputs: { onClicked: "onClicked", onClosed: "onClosed" }, ngImport: i0, template: "<ids-tag\n  [closeable]=\"closeable ? true : null\"\n  [srcloselabel]=\"srcloselabel\"\n  (clicked)=\"onClicked.emit(true)\"\n  (closed)=\"onClosed.emit(true)\">\n  <ng-content></ng-content>\n</ids-tag>" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTagComponent, decorators: [{
            type: Component,
            args: [{ selector: "id-tag", template: "<ids-tag\n  [closeable]=\"closeable ? true : null\"\n  [srcloselabel]=\"srcloselabel\"\n  (clicked)=\"onClicked.emit(true)\"\n  (closed)=\"onClosed.emit(true)\">\n  <ng-content></ng-content>\n</ids-tag>" }]
        }], ctorParameters: () => [], propDecorators: { closeable: [{
                type: Input
            }], srcloselabel: [{
                type: Input
            }], onClicked: [{
                type: Output
            }], onClosed: [{
                type: Output
            }] } });

class IDTagModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTagModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: IDTagModule, declarations: [IDTagComponent], exports: [IDTagComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTagModule });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: IDTagModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        IDTagComponent
                    ],
                    exports: [
                        IDTagComponent
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IDTagComponent, IDTagModule };
//# sourceMappingURL=inera-ids-angular-components-tag.mjs.map
